﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCLUSIVE') 
 CREATE TABLE T_OCDBD_EXCLUSIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRULETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPROMOTETYPEGROUP CHAR(1) DEFAULT '1' NOT NULL,
FTICKETSTYPEGROUP CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCLUSIVE_L') 
 CREATE TABLE T_OCDBD_EXCLUSIVE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCLUSIVEPROMOTE') 
 CREATE TABLE T_OCDBD_EXCLUSIVEPROMOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROMOTEID BIGINT DEFAULT 0 NOT NULL,
FPROMOTENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTETHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPROMOTIONID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROMOTESTARTDATE DATETIME,
FPROMOTEENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCLUSIVESUB') 
 CREATE TABLE T_OCDBD_EXCLUSIVESUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUBPROMOTEID BIGINT DEFAULT 0 NOT NULL,
FSUBPROMOTENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSUBPROMOTENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBPROMOTETHEME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBPROMOTIONID BIGINT DEFAULT 0 NOT NULL,
FSUBPROMOTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FSUBPROMOTESTARTDATE DATETIME,
FSUBPROMOTEENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCLUSIVETICKET') 
 CREATE TABLE T_OCDBD_EXCLUSIVETICKET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTICKETSTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_DELIVERSTATUS' AND KSQL_COL_NAME ='FBIZTYPEID') 
 ALTER TABLE T_OCDBD_DELIVERSTATUS ADD (FBIZTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_RETURNRULEENTRY' AND KSQL_COL_NAME ='FISRETURNSRCINVTYPE') 
 ALTER TABLE T_OCDBD_RETURNRULEENTRY ADD (FISRETURNSRCINVTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_RETURNRULEENTRY' AND KSQL_COL_NAME ='FISRETURNSETINVTYPE') 
 ALTER TABLE T_OCDBD_RETURNRULEENTRY ADD (FISRETURNSETINVTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_RETURNRULEENTRY' AND KSQL_COL_NAME ='FRETURNINVTYPEID') 
 ALTER TABLE T_OCDBD_RETURNRULEENTRY ADD (FRETURNINVTYPEID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
