﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EEXPENSE_TYPE') 
 CREATE TABLE T_OCDBD_EEXPENSE_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTYPESIGN CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EEXPENSE_TYPE_L') 
 CREATE TABLE T_OCDBD_EEXPENSE_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_SUBEXPENSETYPE') 
 CREATE TABLE T_OCDBD_SUBEXPENSETYPE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWRITEOFFNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWRITEOFFNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FWRITEOFFACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_BUDGETCOSTS' AND KSQL_COL_NAME ='FYEARESTIMATEAMT') 
 ALTER TABLE T_OCDBD_BUDGETCOSTS ADD (FYEARESTIMATEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_BUDGETCOSTS' AND KSQL_COL_NAME ='FWRITEOFFAMT') 
 ALTER TABLE T_OCDBD_BUDGETCOSTS ADD (FWRITEOFFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_EXPENSETYPE' AND KSQL_COL_NAME ='FEXPENSETYPE') 
 ALTER TABLE T_OCDBD_EXPENSETYPE ADD (FEXPENSETYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_EXPENSETYPE' AND KSQL_COL_NAME ='FROLLRATE') 
 ALTER TABLE T_OCDBD_EXPENSETYPE ADD (FROLLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_EXPENSETYPE' AND KSQL_COL_NAME ='FSETTLERATE') 
 ALTER TABLE T_OCDBD_EXPENSETYPE ADD (FSETTLERATE DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
