﻿/**Begin D:\feature_nextcloud\第5小组开发资料\PDM对比生成脚本\PDM_UPGRADE\PDM1\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ITEMPICKING') 
 CREATE TABLE T_OCDBD_ITEMPICKING (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ITEMPICKING_L') 
 CREATE TABLE T_OCDBD_ITEMPICKING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ITEMPICKINGENTRY') 
 CREATE TABLE T_OCDBD_ITEMPICKINGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSORTSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_SYSPARAMS' AND KSQL_COL_NAME IN ('FISORDERQTYZERO')) 
 ALTER TABLE T_OCDBD_SYSPARAMS ADD (FISORDERQTYZERO CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_SYSPARAMS' AND KSQL_COL_NAME IN ('FISMULTIPLEPICKING')) 
 ALTER TABLE T_OCDBD_SYSPARAMS ADD (FISMULTIPLEPICKING CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_VEHICLE') 
 CREATE TABLE T_OCDBD_VEHICLE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCARNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDELIVERYMAN BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_VEHICLE_L') 
 CREATE TABLE T_OCDBD_VEHICLE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_VEHICLEENTRY') 
 CREATE TABLE T_OCDBD_VEHICLEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSEQ BIGINT DEFAULT 0 NOT NULL
);



/**End D:\feature_nextcloud\第5小组开发资料\PDM对比生成脚本\PDM_UPGRADE\PDM1\OCDBD_table.sql **/
