﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCDBD_ITEM', 'T_OCDBD_ITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEM_FSK') CREATE INDEX IDX_OCDBD_ITEM_FSK ON T_OCDBD_ITEM ( FSEARCHKEY );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEM_FNO') CREATE INDEX IDX_OCDBD_ITEM_FNO ON T_OCDBD_ITEM ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEM_MCN') CREATE INDEX IDX_OCDBD_ITEM_MCN ON T_OCDBD_ITEM ( FMODIFYTIME ,FCREATETIME ,FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_C', 'T_OCDBD_ITEM_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMC_FBARCODE') CREATE INDEX IDX_OCDBD_ITEMC_FBARCODE ON T_OCDBD_ITEM_C ( FBARCODEID ,FBARCODENUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_L', 'T_OCDBD_ITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEML_FIDFLID') CREATE INDEX IDX_OCDBD_ITEML_FIDFLID ON T_OCDBD_ITEM_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEML_FNAME') CREATE INDEX IDX_OCDBD_ITEML_FNAME ON T_OCDBD_ITEM_L ( FNAME );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_MODEL', 'T_OCDBD_ITEM_MODEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_IM_FID') CREATE INDEX IDX_OCDBD_IM_FID ON T_OCDBD_ITEM_MODEL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCLASSENTRY', 'T_OCDBD_ITEMCLASSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICENTRY_FID') CREATE INDEX IDX_OCDBD_ICENTRY_FID ON T_OCDBD_ITEMCLASSENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCOMB', 'T_OCDBD_ITEMCOMB', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICT_FNO') CREATE INDEX IDX_OCDBD_ICT_FNO ON T_OCDBD_ITEMCOMB ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICT_ITEMID') CREATE INDEX IDX_OCDBD_ICT_ITEMID ON T_OCDBD_ITEMCOMB ( FCOMBITEMID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCOMB_L', 'T_OCDBD_ITEMCOMB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICTL_FIDFLID') CREATE INDEX IDX_OCDBD_ICTL_FIDFLID ON T_OCDBD_ITEMCOMB_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCOMBLIST', 'T_OCDBD_ITEMCOMBLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_IGL_FNO') CREATE INDEX IDX_OCDBD_IGL_FNO ON T_OCDBD_ITEMCOMBLIST ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCOMBLIST_L', 'T_OCDBD_ITEMCOMBLIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICBTL_FIDFLID') CREATE INDEX IDX_OCDBD_ICBTL_FIDFLID ON T_OCDBD_ITEMCOMBLIST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_SALECTRL', 'T_OCDBD_ITEM_SALECTRL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISC_SCHANNEL') CREATE INDEX IDX_OCDBD_ISC_SCHANNEL ON T_OCDBD_ITEM_SALECTRL ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISC_OCHANNEL') CREATE INDEX IDX_OCDBD_ISC_OCHANNEL ON T_OCDBD_ITEM_SALECTRL ( FORDERCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISC_CGROUP') CREATE INDEX IDX_OCDBD_ISC_CGROUP ON T_OCDBD_ITEM_SALECTRL ( FCHANNELCLASSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISC_FREGIONID') CREATE INDEX IDX_OCDBD_ISC_FREGIONID ON T_OCDBD_ITEM_SALECTRL ( FREGIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISC_SALORG') CREATE INDEX IDX_OCDBD_ISC_SALORG ON T_OCDBD_ITEM_SALECTRL ( FSALEORGID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_SALECTRL_L', 'T_OCDBD_ITEM_SALECTRL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMSALECTRLL_FLID') CREATE INDEX IDX_OCDBD_ITEMSALECTRLL_FLID ON T_OCDBD_ITEM_SALECTRL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CLASSSTDAPPLY', 'T_OCDBD_CLASSSTDAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CSAPPLY_PLATFORM') CREATE INDEX IDX_OCDBD_CSAPPLY_PLATFORM ON T_OCDBD_CLASSSTDAPPLY ( FAPPLYPLATFORM );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_BARCODE', 'T_OCDBD_ITEM_BARCODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMBARCODE_ITEMID') CREATE INDEX IDX_OCDBD_ITEMBARCODE_ITEMID ON T_OCDBD_ITEM_BARCODE ( FITEMID );


 EXEC P_ALTERPK 'PK_OCDBD_SPU', 'T_OCDBD_SPU', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPU_NUMBER') CREATE INDEX IDX_OCDBD_SPU_NUMBER ON T_OCDBD_SPU ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_SPU_L', 'T_OCDBD_SPU_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUL_FLID') CREATE INDEX IDX_OCDBD_SPUL_FLID ON T_OCDBD_SPU_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SPU_SPEC', 'T_OCDBD_SPU_SPEC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUSPEC_NUM') CREATE INDEX IDX_OCDBD_SPUSPEC_NUM ON T_OCDBD_SPU_SPEC ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_SPU_SPEC_L', 'T_OCDBD_SPU_SPEC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUSPECL_FLID') CREATE INDEX IDX_OCDBD_SPUSPECL_FLID ON T_OCDBD_SPU_SPEC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SPU_SPECVALUE', 'T_OCDBD_SPU_SPECVALUE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUSPECVALUE_NUM') CREATE INDEX IDX_OCDBD_SPUSPECVALUE_NUM ON T_OCDBD_SPU_SPECVALUE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_SPU_SPECVALUE_L', 'T_OCDBD_SPU_SPECVALUE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUSPECVALUEL_FLID') CREATE INDEX IDX_OCDBD_SPUSPECVALUEL_FLID ON T_OCDBD_SPU_SPECVALUE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SPUDETAIL_MAP', 'T_OCDBD_SPUDETAIL_MAP', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUDETAILMAP_SPECID') CREATE INDEX IDX_OCDBD_SPUDETAILMAP_SPECID ON T_OCDBD_SPUDETAIL_MAP ( FMAPSPECVALUEID ,FMAPSPECID );


 EXEC P_ALTERPK 'PK_OCDBD_SPUDETAIL_SPEC', 'T_OCDBD_SPUDETAIL_SPEC', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUDETAILSPEC_EID') CREATE INDEX IDX_OCDBD_SPUDETAILSPEC_EID ON T_OCDBD_SPUDETAIL_SPEC ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_SPUENTRY_MAP', 'T_OCDBD_SPUENTRY_MAP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUENTRYMAP_ITEMID') CREATE INDEX IDX_OCDBD_SPUENTRYMAP_ITEMID ON T_OCDBD_SPUENTRY_MAP ( FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUENTRYMAP_FID') CREATE INDEX IDX_OCDBD_SPUENTRYMAP_FID ON T_OCDBD_SPUENTRY_MAP ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_SPUENTRY_SPEC', 'T_OCDBD_SPUENTRY_SPEC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUENTRYSPEC_SPECID') CREATE INDEX IDX_OCDBD_SPUENTRYSPEC_SPECID ON T_OCDBD_SPUENTRY_SPEC ( FSPECID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SPUENTRY_SPEC') CREATE INDEX IDX_OCDBD_SPUENTRY_SPEC ON T_OCDBD_SPUENTRY_SPEC ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_SALEATTR', 'T_OCDBD_ITEM_SALEATTR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMSALEATTR_NUM') CREATE INDEX IDX_OCDBD_ITEMSALEATTR_NUM ON T_OCDBD_ITEM_SALEATTR ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_SALEATTR_L', 'T_OCDBD_ITEM_SALEATTR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMSALEAL_FLID') CREATE INDEX IDX_OCDBD_ITEMSALEAL_FLID ON T_OCDBD_ITEM_SALEATTR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_LABEL', 'T_OCDBD_ITEM_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMLABEL_NUMBER') CREATE INDEX IDX_OCDBD_ITEMLABEL_NUMBER ON T_OCDBD_ITEM_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_LABEL_L', 'T_OCDBD_ITEM_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMLABELL_FLID') CREATE INDEX IDX_OCDBD_ITEMLABELL_FLID ON T_OCDBD_ITEM_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_LABELENTRY', 'T_OCDBD_ITEM_LABELENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ILENTRY_FID') CREATE INDEX IDX_OCDBD_ILENTRY_FID ON T_OCDBD_ITEM_LABELENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ILENTRY_ITEM') CREATE INDEX IDX_OCDBD_ILENTRY_ITEM ON T_OCDBD_ITEM_LABELENTRY ( FITEMID ,FMATERIELID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERQUANTITY_L', 'T_OCDBD_ORDERQUANTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQL_FLID') CREATE INDEX IDX_OCDBD_OQL_FLID ON T_OCDBD_ORDERQUANTITY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERQUANTITY', 'T_OCDBD_ORDERQUANTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQ_FREGIONID') CREATE INDEX IDX_OCDBD_OQ_FREGIONID ON T_OCDBD_ORDERQUANTITY ( FREGIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQ_FCCLASSID') CREATE INDEX IDX_OCDBD_OQ_FCCLASSID ON T_OCDBD_ORDERQUANTITY ( FCHANNELCLASSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQ_FITEM') CREATE INDEX IDX_OCDBD_OQ_FITEM ON T_OCDBD_ORDERQUANTITY ( FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQ_FITEMCLASS') CREATE INDEX IDX_OCDBD_OQ_FITEMCLASS ON T_OCDBD_ORDERQUANTITY ( FITEMCLASSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OQ_FOWNERFCUST') CREATE INDEX IDX_OCDBD_OQ_FOWNERFCUST ON T_OCDBD_ORDERQUANTITY ( FSALECHANNELID ,FORDERCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCOMBENTRY', 'T_OCDBD_ITEMCOMBENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMCOMBENTRY_FID') CREATE INDEX IDX_OCDBD_ITEMCOMBENTRY_FID ON T_OCDBD_ITEMCOMBENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMPRICE_CHILD', 'T_OCDBD_ITEMPRICE_CHILD', 'FCHILD', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPRICECHILD_FID') CREATE INDEX IDX_OCDBD_ITEMPRICECHILD_FID ON T_OCDBD_ITEMPRICE_CHILD ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_RBRULE_ITEMS', 'T_OCDBD_RBRULE_ITEMS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULEE_FID') CREATE INDEX IDX_OCDBD_RRULEE_FID ON T_OCDBD_RBRULE_ITEMS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REBATE_RULE', 'T_OCDBD_REBATE_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULE_FNO') CREATE UNIQUE INDEX IDX_OCDBD_RRULE_FNO ON T_OCDBD_REBATE_RULE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULE_FSOA') CREATE INDEX IDX_OCDBD_RRULE_FSOA ON T_OCDBD_REBATE_RULE ( FSALECHANNELID ,FORDERCHANNELID ,FACCOUNTTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULE_FFT') CREATE INDEX IDX_OCDBD_RRULE_FFT ON T_OCDBD_REBATE_RULE ( FFROMDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULE_FCT') CREATE INDEX IDX_OCDBD_RRULE_FCT ON T_OCDBD_REBATE_RULE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_OCDBD_REBATE_RULE_L', 'T_OCDBD_REBATE_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RRULEL_FIDFLID') CREATE INDEX IDX_OCDBD_RRULEL_FIDFLID ON T_OCDBD_REBATE_RULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ACCOUNTDETAIL', 'T_OCDBD_ACCOUNTDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACTD_FCT') CREATE INDEX IDX_OCDBD_ACTD_FCT ON T_OCDBD_ACCOUNTDETAIL ( FCREATEDATE  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACTD_FNO') CREATE UNIQUE INDEX IDX_OCDBD_ACTD_FNO ON T_OCDBD_ACCOUNTDETAIL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACTD_FSBID') CREATE INDEX IDX_OCDBD_ACTD_FSBID ON T_OCDBD_ACCOUNTDETAIL ( FSOURCEBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACTD_FSBNO') CREATE INDEX IDX_OCDBD_ACTD_FSBNO ON T_OCDBD_ACCOUNTDETAIL ( FSOURCEBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACTD_FACTID') CREATE INDEX IDX_OCDBD_ACTD_FACTID ON T_OCDBD_ACCOUNTDETAIL ( FACCOUNTID );


 EXEC P_ALTERPK 'PK_OCDBD_ACCOUNTTYPE', 'T_OCDBD_ACCOUNTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ATYPE_FCT') CREATE INDEX IDX_OCDBD_ATYPE_FCT ON T_OCDBD_ACCOUNTTYPE ( FCREATETIME  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ATYPE_FNO') CREATE UNIQUE INDEX IDX_OCDBD_ATYPE_FNO ON T_OCDBD_ACCOUNTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ACCOUNTTYPE_L', 'T_OCDBD_ACCOUNTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACCOUNTTYPEL_FLID') CREATE INDEX IDX_OCDBD_ACCOUNTTYPEL_FLID ON T_OCDBD_ACCOUNTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ACCOUNT', 'T_OCDBD_ACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACT_FCT') CREATE INDEX IDX_OCDBD_ACT_FCT ON T_OCDBD_ACCOUNT ( FCREATEDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACT_FOCACFT') CREATE INDEX IDX_OCDBD_ACT_FOCACFT ON T_OCDBD_ACCOUNT ( FSALECHANNELID ,FORDERCHANNELID ,FFROMDATE ,FTODATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ACT_FNO') CREATE UNIQUE INDEX IDX_OCDBD_ACT_FNO ON T_OCDBD_ACCOUNT ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_BIZTYPE', 'T_OCDBD_ITEM_BIZTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMBIZTYPE_NUM') CREATE UNIQUE INDEX IDX_OCDBD_ITEMBIZTYPE_NUM ON T_OCDBD_ITEM_BIZTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_BIZTYPE_L', 'T_OCDBD_ITEM_BIZTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_IBIZTYPEL_FLID') CREATE INDEX IDX_OCDBD_IBIZTYPEL_FLID ON T_OCDBD_ITEM_BIZTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PRICE_TYPE', 'T_OCDBD_PRICE_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICETYPE_NUM') CREATE INDEX IDX_OCDBD_PRICETYPE_NUM ON T_OCDBD_PRICE_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PRICE_TYPE_L', 'T_OCDBD_PRICE_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICETYPEL_FID') CREATE INDEX IDX_OCDBD_PRICETYPEL_FID ON T_OCDBD_PRICE_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PRICEPOLICY_L', 'T_OCDBD_PRICEPOLICY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPOLICYL_FLID') CREATE INDEX IDX_OCDBD_PRICEPOLICYL_FLID ON T_OCDBD_PRICEPOLICY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PRICEPOLICY', 'T_OCDBD_PRICEPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPOLICY_SCHL') CREATE INDEX IDX_OCDBD_PRICEPOLICY_SCHL ON T_OCDBD_PRICEPOLICY ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPOLICY_NO') CREATE INDEX IDX_OCDBD_PRICEPOLICY_NO ON T_OCDBD_PRICEPOLICY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PRICEPLCSENTRY', 'T_OCDBD_PRICEPLCSENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPLCSENTRY_EID') CREATE INDEX IDX_OCDBD_PRICEPLCSENTRY_EID ON T_OCDBD_PRICEPLCSENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_PRICEPLCENTRY', 'T_OCDBD_PRICEPLCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPLCENTRY_FID') CREATE INDEX IDX_OCDBD_PRICEPLCENTRY_FID ON T_OCDBD_PRICEPLCENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICEPLCENTRY_ITEM') CREATE INDEX IDX_OCDBD_PRICEPLCENTRY_ITEM ON T_OCDBD_PRICEPLCENTRY ( FITEMID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNELSCOPE', 'T_OCDBD_CHANNELSCOPE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANNELSCOPE_FID') CREATE INDEX IDX_OCDBD_CHANNELSCOPE_FID ON T_OCDBD_CHANNELSCOPE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEM_PRICE', 'T_OCDBD_ITEM_PRICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDXOCDBD_ITEMPRICE_CHL') CREATE INDEX IDXOCDBD_ITEMPRICE_CHL ON T_OCDBD_ITEM_PRICE ( FCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPRICE_IUA') CREATE INDEX IDX_OCDBD_ITEMPRICE_IUA ON T_OCDBD_ITEM_PRICE ( FITEMID ,FUNITID ,FASSISTATTRID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPRICE_NUM') CREATE INDEX IDX_OCDBD_ITEMPRICE_NUM ON T_OCDBD_ITEM_PRICE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPRICE_SORG') CREATE INDEX IDX_OCDBD_ITEMPRICE_SORG ON T_OCDBD_ITEM_PRICE ( FSALEORGID );


 EXEC P_ALTERPK 'PK_OCDBD_DELIVERSTATUS_L', 'T_OCDBD_DELIVERSTATUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_DELIVERSTATESL_FLID') CREATE INDEX IDX_OCDBD_DELIVERSTATESL_FLID ON T_OCDBD_DELIVERSTATUS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_DELIVERSTATUS', 'T_OCDBD_DELIVERSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_DELIVERSTATUS_NUM') CREATE INDEX IDX_OCDBD_DELIVERSTATUS_NUM ON T_OCDBD_DELIVERSTATUS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_DISTRIBUTIONMODE', 'T_OCDBD_DISTRIBUTIONMODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_DISTRIBUTIONMODE_NUM') CREATE INDEX IDX_OCDBD_DISTRIBUTIONMODE_NUM ON T_OCDBD_DISTRIBUTIONMODE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_DISTRIBUTIONRULE', 'T_OCDBD_DISTRIBUTIONRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_DISTRIBUTIONRULE_SOC') CREATE INDEX IDX_OCDBD_DISTRIBUTIONRULE_SOC ON T_OCDBD_DISTRIBUTIONRULE ( FSALEORGID ,FSALEBRANCHID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_DISTRIBUTIONRULE_COM') CREATE INDEX IDX_OCDBD_DISTRIBUTIONRULE_COM ON T_OCDBD_DISTRIBUTIONRULE ( FCOMBINATION );


 EXEC P_ALTERPK 'PK_OCDBD_LOCATION', 'T_OCDBD_LOCATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOCATION_NUM') CREATE INDEX IDX_OCDBD_LOCATION_NUM ON T_OCDBD_LOCATION ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_LOCATION_L', 'T_OCDBD_LOCATION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOCATIONL_ELID') CREATE INDEX IDX_OCDBD_LOCATIONL_ELID ON T_OCDBD_LOCATION_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_LOT', 'T_OCDBD_LOT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOT_NUM') CREATE INDEX IDX_OCDBD_LOT_NUM ON T_OCDBD_LOT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOT_ITEM') CREATE INDEX IDX_OCDBD_LOT_ITEM ON T_OCDBD_LOT ( FITEMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOT_LOT') CREATE INDEX IDX_OCDBD_LOT_LOT ON T_OCDBD_LOT ( FLOTID );


 EXEC P_ALTERPK 'PK_OCDBD_LOTDATE', 'T_OCDBD_LOTDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOTDATE_FID') CREATE INDEX IDX_OCDBD_LOTDATE_FID ON T_OCDBD_LOTDATE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OVERSALEOCCUR', 'T_OCDBD_OVERSALEOCCUR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OVERSALEOCCUR_NUM') CREATE INDEX IDX_OCDBD_OVERSALEOCCUR_NUM ON T_OCDBD_OVERSALEOCCUR ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_OVERSALEOCCUR_L', 'T_OCDBD_OVERSALEOCCUR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OVERSALEOCCURL_FLID') CREATE INDEX IDX_OCDBD_OVERSALEOCCURL_FLID ON T_OCDBD_OVERSALEOCCUR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_OSPOLICY', 'T_OCDBD_OSPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OSPOLICY_NUM') CREATE INDEX IDX_OCDBD_OSPOLICY_NUM ON T_OCDBD_OSPOLICY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_OSPOLICY_L', 'T_OCDBD_OSPOLICY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OSPOLICYL_FLID') CREATE INDEX IDX_OCDBD_OSPOLICYL_FLID ON T_OCDBD_OSPOLICY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_OSPOLICYDTL', 'T_OCDBD_OSPOLICYDTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OSPOLICYDTL_FID') CREATE INDEX IDX_OCDBD_OSPOLICYDTL_FID ON T_OCDBD_OSPOLICYDTL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OSPOLICYSHOP', 'T_OCDBD_OSPOLICYSHOP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OSPOLICYSHOP_FID') CREATE INDEX IDX_OCDBD_OSPOLICYSHOP_FID ON T_OCDBD_OSPOLICYSHOP ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_RES_STOCK', 'T_OCDBD_RES_STOCK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RESSTOCK_NUM') CREATE INDEX IDX_OCDBD_RESSTOCK_NUM ON T_OCDBD_RES_STOCK ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RES_STOCK_L', 'T_OCDBD_RES_STOCK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_OCDBD_RESSTOCKL_FLID') CREATE INDEX T_OCDBD_RESSTOCKL_FLID ON T_OCDBD_RES_STOCK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RESOURCECLASS', 'T_OCDBD_RESOURCECLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RESOURCECLASS_NUM') CREATE INDEX IDX_OCDBD_RESOURCECLASS_NUM ON T_OCDBD_RESOURCECLASS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RESOURCECLASS_L', 'T_OCDBD_RESOURCECLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RESOURCECLASSL_FLID') CREATE INDEX IDX_OCDBD_RESOURCECLASSL_FLID ON T_OCDBD_RESOURCECLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SNMAINFILE', 'T_OCDBD_SNMAINFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SNMAINFILE_NUM') CREATE UNIQUE INDEX IDX_OCDBD_SNMAINFILE_NUM ON T_OCDBD_SNMAINFILE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SNMAINFILE_ICS') CREATE INDEX IDX_OCDBD_SNMAINFILE_ICS ON T_OCDBD_SNMAINFILE ( FITEMID ,FCHANNELID ,FSALEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SNMAINFILE_LC') CREATE INDEX IDX_OCDBD_SNMAINFILE_LC ON T_OCDBD_SNMAINFILE ( FLOTNUM ,FCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_SNMOVETRACK', 'T_OCDBD_SNMOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SNMOVETRACK_SN') CREATE INDEX IDX_OCDBD_SNMOVETRACK_SN ON T_OCDBD_SNMOVETRACK ( FSNMAINFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SNMOVETRACK_BEID') CREATE INDEX IDX_OCDBD_SNMOVETRACK_BEID ON T_OCDBD_SNMOVETRACK ( FBILLID ,FBILLENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_STOCKSTATUS', 'T_OCDBD_STOCKSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STOCKSTATUS_NUM') CREATE INDEX IDX_OCDBD_STOCKSTATUS_NUM ON T_OCDBD_STOCKSTATUS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_STOCKSTATUS_L', 'T_OCDBD_STOCKSTATUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STOCKSTATUSL_FLID') CREATE INDEX IDX_OCDBD_STOCKSTATUSL_FLID ON T_OCDBD_STOCKSTATUS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_STOCKTYPE', 'T_OCDBD_STOCKTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STOCKTYPE_NUM') CREATE INDEX IDX_OCDBD_STOCKTYPE_NUM ON T_OCDBD_STOCKTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_STOCKTYPE_L', 'T_OCDBD_STOCKTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STOCKTYPEL_FLID') CREATE INDEX IDX_OCDBD_STOCKTYPEL_FLID ON T_OCDBD_STOCKTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_WAREHOUSE', 'T_OCDBD_WAREHOUSE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WAREHOUSE_NUM') CREATE INDEX IDX_OCDBD_WAREHOUSE_NUM ON T_OCDBD_WAREHOUSE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_WAREHOUSE_L', 'T_OCDBD_WAREHOUSE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WAREHOUSEL_FLID') CREATE INDEX IDX_OCDBD_WAREHOUSEL_FLID ON T_OCDBD_WAREHOUSE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RETURNRULE', 'T_OCDBD_RETURNRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RETURNRULE_NUM') CREATE INDEX IDX_OCDBD_RETURNRULE_NUM ON T_OCDBD_RETURNRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RETURNRULE_L', 'T_OCDBD_RETURNRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RETURNRULEL_FLID') CREATE INDEX IDX_OCDBD_RETURNRULEL_FLID ON T_OCDBD_RETURNRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RETURNRULEENTRY', 'T_OCDBD_RETURNRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RETURNRULEENTRY_FID') CREATE INDEX IDX_OCDBD_RETURNRULEENTRY_FID ON T_OCDBD_RETURNRULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_LOTMOVETRACK', 'T_OCDBD_LOTMOVETRACK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOTMOVETRACK_BEID') CREATE INDEX IDX_OCDBD_LOTMOVETRACK_BEID ON T_OCDBD_LOTMOVETRACK ( FBILLID ,FBILLENTITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOTMOVETRACK_LID') CREATE INDEX IDX_OCDBD_LOTMOVETRACK_LID ON T_OCDBD_LOTMOVETRACK ( FLOTID );


 EXEC P_ALTERPK 'PK_OCDBD_LOTINFO_L', 'T_OCDBD_LOTINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOTINFOL_FLID') CREATE INDEX IDX_OCDBD_LOTINFOL_FLID ON T_OCDBD_LOTINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_LOTINFO', 'T_OCDBD_LOTINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LOTINFO_NUM') CREATE INDEX IDX_OCDBD_LOTINFO_NUM ON T_OCDBD_LOTINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_INVQUERY', 'T_OCDBD_INVQUERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_INVQUERY_ITEMID') CREATE INDEX IDX_OCDBD_INVQUERY_ITEMID ON T_OCDBD_INVQUERY ( FITEMID );


 EXEC P_ALTERPK 'PK_OCDBD_OVERSALENOTE', 'T_OCDBD_OVERSALENOTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OVERSALENOTE_NO') CREATE INDEX IDX_OCDBD_OVERSALENOTE_NO ON T_OCDBD_OVERSALENOTE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_ICTACCOUNT', 'T_OCDBD_ICTACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICTACCOUNT_NUM') CREATE INDEX IDX_OCDBD_ICTACCOUNT_NUM ON T_OCDBD_ICTACCOUNT ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ICTACCOUNT_L', 'T_OCDBD_ICTACCOUNT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICTACCOUNTL_FLID') CREATE INDEX IDX_OCDBD_ICTACCOUNTL_FLID ON T_OCDBD_ICTACCOUNT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_KPI', 'T_OCDBD_KPI', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_KPI_NUM') CREATE INDEX IDX_OCDBD_KPI_NUM ON T_OCDBD_KPI ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_KPI_L', 'T_OCDBD_KPI_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_KPIL_FLID') CREATE INDEX IDX_OCDBD_KPIL_FLID ON T_OCDBD_KPI_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CUSTOM_ENTRY', 'T_OCDBD_CUSTOM_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CUSTOMENTRY_FID') CREATE INDEX IDX_OCDBD_CUSTOMENTRY_FID ON T_OCDBD_CUSTOM_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CUSTOMGROUP', 'T_OCDBD_CUSTOMGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CUSTOMGROUP_NUM') CREATE INDEX IDX_OCDBD_CUSTOMGROUP_NUM ON T_OCDBD_CUSTOMGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CUSTOMGROUP_L', 'T_OCDBD_CUSTOMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CUSTOMGROUPL_FLID') CREATE INDEX IDX_OCDBD_CUSTOMGROUPL_FLID ON T_OCDBD_CUSTOMGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PRODUCTGROUP', 'T_OCDBD_PRODUCTGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRODUCTGROUP_NUM') CREATE UNIQUE INDEX IDX_OCDBD_PRODUCTGROUP_NUM ON T_OCDBD_PRODUCTGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PRODUCTGROUP_L', 'T_OCDBD_PRODUCTGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRODUCTGROUPL_FLID') CREATE INDEX IDX_OCDBD_PRODUCTGROUPL_FLID ON T_OCDBD_PRODUCTGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PROGROUPENTRY', 'T_OCDBD_PROGROUPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROGROUPENTRY_FID') CREATE INDEX IDX_OCDBD_PROGROUPENTRY_FID ON T_OCDBD_PROGROUPENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_FORMULA', 'T_OCDBD_FORMULA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FORMULA_NUM') CREATE INDEX IDX_OCDBD_FORMULA_NUM ON T_OCDBD_FORMULA ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_FORMULA_L', 'T_OCDBD_FORMULA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FORMULAL_FLID') CREATE INDEX IDX_OCDBD_FORMULAL_FLID ON T_OCDBD_FORMULA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REBATEACCOUNT', 'T_OCDBD_REBATEACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REBATEACCOUNT_OCCAC') CREATE INDEX IDX_OCDBD_REBATEACCOUNT_OCCAC ON T_OCDBD_REBATEACCOUNT ( FORGID ,FCUSTOMERID ,FCHANNELID ,FACCOUNTTYPEID ,FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCDBD_PROGROUPDETAIL', 'T_OCDBD_PROGROUPDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROGROUPDETAIL_EID') CREATE INDEX IDX_OCDBD_PROGROUPDETAIL_EID ON T_OCDBD_PROGROUPDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESBRANCHE', 'T_OCDBD_ISSUESBRANCHE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESBRANCHE_ID') CREATE INDEX IDX_OCDBD_ISSUESBRANCHE_ID ON T_OCDBD_ISSUESBRANCHE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESCHANNELGRP', 'T_OCDBD_ISSUESCHANNELGRP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESCHANNELGRP_ID') CREATE INDEX IDX_OCDBD_ISSUESCHANNELGRP_ID ON T_OCDBD_ISSUESCHANNELGRP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESCHEME', 'T_OCDBD_ISSUESCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESCHEME_NUM') CREATE INDEX IDX_OCDBD_ISSUESCHEME_NUM ON T_OCDBD_ISSUESCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESCHEME_L', 'T_OCDBD_ISSUESCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESCHEMEL_LID') CREATE INDEX IDX_OCDBD_ISSUESCHEMEL_LID ON T_OCDBD_ISSUESCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESCHEMEORG', 'T_OCDBD_ISSUESCHEMEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESCHEMEORG_ID') CREATE INDEX IDX_OCDBD_ISSUESCHEMEORG_ID ON T_OCDBD_ISSUESCHEMEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTION', 'T_OCDBD_MARKETACTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTION_NUM') CREATE INDEX IDX_OCDBD_MARKETACTION_NUM ON T_OCDBD_MARKETACTION ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTION_L', 'T_OCDBD_MARKETACTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTIONL_LID') CREATE INDEX IDX_OCDBD_MARKETACTIONL_LID ON T_OCDBD_MARKETACTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTIONORG', 'T_OCDBD_MARKETACTIONORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTIONORG_ID') CREATE INDEX IDX_OCDBD_MARKETACTIONORG_ID ON T_OCDBD_MARKETACTIONORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTIONBRE', 'T_OCDBD_MARKETACTIONBRE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTIONBRE_ID') CREATE INDEX IDX_OCDBD_MARKETACTIONBRE_ID ON T_OCDBD_MARKETACTIONBRE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTIONTYPE', 'T_OCDBD_MARKETACTIONTYPE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTIONTYPE_ID') CREATE INDEX IDX_OCDBD_MARKETACTIONTYPE_ID ON T_OCDBD_MARKETACTIONTYPE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETNORULESETE', 'T_OCDBD_TICKETNORULESETE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETNORULESETE_ID') CREATE INDEX IDX_OCDBD_TICKETNORULESETE_ID ON T_OCDBD_TICKETNORULESETE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETNORULE', 'T_OCDBD_TICKETNORULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETNORULE_NUM') CREATE INDEX IDX_OCDBD_TICKETNORULE_NUM ON T_OCDBD_TICKETNORULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETNORULE_L', 'T_OCDBD_TICKETNORULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETNORULEL_LID') CREATE INDEX IDX_OCDBD_TICKETNORULEL_LID ON T_OCDBD_TICKETNORULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETINFO', 'T_OCDBD_TICKETINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETINFO_NUM') CREATE INDEX IDX_OCDBD_TICKETINFO_NUM ON T_OCDBD_TICKETINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETINFO_L', 'T_OCDBD_TICKETINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETINFOL_LID') CREATE INDEX IDX_OCDBD_TICKETINFOL_LID ON T_OCDBD_TICKETINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPE', 'T_OCDBD_TICKETTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPE_NUM') CREATE INDEX IDX_OCDBD_TICKETTYPE_NUM ON T_OCDBD_TICKETTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPE_L', 'T_OCDBD_TICKETTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPEL_LCID') CREATE INDEX IDX_OCDBD_TICKETTYPEL_LCID ON T_OCDBD_TICKETTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPE_O', 'T_OCDBD_TICKETTYPE_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPEO_NO') CREATE INDEX IDX_OCDBD_TICKETTYPEO_NO ON T_OCDBD_TICKETTYPE_O ( FCHECKNO );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPECHAN', 'T_OCDBD_TICKETTYPECHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPECHAN_ID') CREATE INDEX IDX_OCDBD_TICKETTYPECHAN_ID ON T_OCDBD_TICKETTYPECHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPEORG', 'T_OCDBD_TICKETTYPEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPEORG_ID') CREATE INDEX IDX_OCDBD_TICKETTYPEORG_ID ON T_OCDBD_TICKETTYPEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPEBRANCH', 'T_OCDBD_TICKETTYPEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPEBRANCH_ID') CREATE INDEX IDX_OCDBD_TICKETTYPEBRANCH_ID ON T_OCDBD_TICKETTYPEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETTYPEGOODS', 'T_OCDBD_TICKETTYPEGOODS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETTYPEGOODS_ID') CREATE INDEX IDX_OCDBD_TICKETTYPEGOODS_ID ON T_OCDBD_TICKETTYPEGOODS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_TICKETINFO_O', 'T_OCDBD_TICKETINFO_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_TICKETINFOO_MNO') CREATE INDEX IDX_OCDBD_TICKETINFOO_MNO ON T_OCDBD_TICKETINFO_O ( FMAKEBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_MARKETACTIONCHAN', 'T_OCDBD_MARKETACTIONCHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MARKETACTIONCHAN_ID') CREATE INDEX IDX_OCDBD_MARKETACTIONCHAN_ID ON T_OCDBD_MARKETACTIONCHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ISSUESCHEMEVIP', 'T_OCDBD_ISSUESCHEMEVIP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ISSUESCHEMEVIP_ID') CREATE INDEX IDX_OCDBD_ISSUESCHEMEVIP_ID ON T_OCDBD_ISSUESCHEMEVIP ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCONTENT', 'T_OCDBD_ITEMCONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMCONTENT_CID') CREATE INDEX IDX_OCDBD_ITEMCONTENT_CID ON T_OCDBD_ITEMCONTENT ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMCONTENT_HEAD', 'T_OCDBD_ITEMCONTENT_HEAD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMCONTENTHHEAD_IID') CREATE INDEX IDX_OCDBD_ITEMCONTENTHHEAD_IID ON T_OCDBD_ITEMCONTENT_HEAD ( FITEMID ,FSPUID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMPUBCENTRY', 'T_OCDBD_ITEMPUBCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPUBCENTRY_FID') CREATE INDEX IDX_OCDBD_ITEMPUBCENTRY_FID ON T_OCDBD_ITEMPUBCENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMPUBIENTRY', 'T_OCDBD_ITEMPUBIENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPUBIENTRY_FID') CREATE INDEX IDX_OCDBD_ITEMPUBIENTRY_FID ON T_OCDBD_ITEMPUBIENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ITEMPUBLISH', 'T_OCDBD_ITEMPUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ITEMPUBLISH_BNO') CREATE INDEX IDX_OCDBD_ITEMPUBLISH_BNO ON T_OCDBD_ITEMPUBLISH ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_PRICECHANGE', 'T_OCDBD_PRICECHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICECHANGE_BNO') CREATE INDEX IDX_OCDBD_PRICECHANGE_BNO ON T_OCDBD_PRICECHANGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_PRICECHANGCENTRY', 'T_OCDBD_PRICECHANGCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICECHANGCENTRY_FID') CREATE INDEX IDX_OCDBD_PRICECHANGCENTRY_FID ON T_OCDBD_PRICECHANGCENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PRICECHANGIENTRY', 'T_OCDBD_PRICECHANGIENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRICECHANGIENTRY_FID') CREATE INDEX IDX_OCDBD_PRICECHANGIENTRY_FID ON T_OCDBD_PRICECHANGIENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MKTPROMOTE', 'T_OCDBD_MKTPROMOTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MKTPROMOTE_NUM') CREATE INDEX IDX_OCDBD_MKTPROMOTE_NUM ON T_OCDBD_MKTPROMOTE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MKTPROMOTE_L', 'T_OCDBD_MKTPROMOTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MKTPROMOTEL_FLID') CREATE INDEX IDX_OCDBD_MKTPROMOTEL_FLID ON T_OCDBD_MKTPROMOTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MKTPROMOTEORG', 'T_OCDBD_MKTPROMOTEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MKTPROMOTEORG_FID') CREATE INDEX IDX_OCDBD_MKTPROMOTEORG_FID ON T_OCDBD_MKTPROMOTEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MKTPROMOTECHAN', 'T_OCDBD_MKTPROMOTECHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MKTPROMOTECHAN_ID') CREATE INDEX IDX_OCDBD_MKTPROMOTECHAN_ID ON T_OCDBD_MKTPROMOTECHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MKTPROMOTESTORE', 'T_OCDBD_MKTPROMOTESTORE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MKTPROMOTESTORE_ID') CREATE INDEX IDX_OCDBD_MKTPROMOTESTORE_ID ON T_OCDBD_MKTPROMOTESTORE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCEBRANCH', 'T_OCDBD_BALANCEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCEBRANCH_ID') CREATE INDEX IDX_OCDBD_BALANCEBRANCH_ID ON T_OCDBD_BALANCEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCECHANNELGR', 'T_OCDBD_BALANCECHANNELGR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCECHANNELGR_ID') CREATE INDEX IDX_OCDBD_BALANCECHANNELGR_ID ON T_OCDBD_BALANCECHANNELGR ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCEPOLICY', 'T_OCDBD_BALANCEPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCEPOLICY_NUM') CREATE INDEX IDX_OCDBD_BALANCEPOLICY_NUM ON T_OCDBD_BALANCEPOLICY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCEPOLICY_L', 'T_OCDBD_BALANCEPOLICY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCEPOLICY_LID') CREATE INDEX IDX_OCDBD_BALANCEPOLICY_LID ON T_OCDBD_BALANCEPOLICY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCESCHEMEORG', 'T_OCDBD_BALANCESCHEMEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCESCHEMEORG_ID') CREATE INDEX IDX_OCDBD_BALANCESCHEMEORG_ID ON T_OCDBD_BALANCESCHEMEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BALANCESETTING', 'T_OCDBD_BALANCESETTING', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BALANCESETTING_ID') CREATE INDEX IDX_OCDBD_BALANCESETTING_ID ON T_OCDBD_BALANCESETTING ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGE', 'T_OCDBD_BANKSTAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGE_NUMBER') CREATE INDEX IDX_OCDBD_BANKSTAGE_NUMBER ON T_OCDBD_BANKSTAGE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGE_L', 'T_OCDBD_BANKSTAGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEL_LID') CREATE INDEX IDX_OCDBD_BANKSTAGEL_LID ON T_OCDBD_BANKSTAGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGEBRANCH', 'T_OCDBD_BANKSTAGEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEBRANCH_FID') CREATE INDEX IDX_OCDBD_BANKSTAGEBRANCH_FID ON T_OCDBD_BANKSTAGEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGECHAN', 'T_OCDBD_BANKSTAGECHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGECHAN_FID') CREATE INDEX IDX_OCDBD_BANKSTAGECHAN_FID ON T_OCDBD_BANKSTAGECHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGECOST', 'T_OCDBD_BANKSTAGECOST', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGECOST_FID') CREATE INDEX IDX_OCDBD_BANKSTAGECOST_FID ON T_OCDBD_BANKSTAGECOST ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGEGOODS', 'T_OCDBD_BANKSTAGEGOODS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEGOODS_FID') CREATE INDEX IDX_OCDBD_BANKSTAGEGOODS_FID ON T_OCDBD_BANKSTAGEGOODS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGEINS', 'T_OCDBD_BANKSTAGEINS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEINS_FID') CREATE INDEX IDX_OCDBD_BANKSTAGEINS_FID ON T_OCDBD_BANKSTAGEINS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGEORG', 'T_OCDBD_BANKSTAGEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEORG_FID') CREATE INDEX IDX_OCDBD_BANKSTAGEORG_FID ON T_OCDBD_BANKSTAGEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BANKSTAGEPREFER', 'T_OCDBD_BANKSTAGEPREFER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKSTAGEPREFER_ID') CREATE INDEX IDX_OCDBD_BANKSTAGEPREFER_ID ON T_OCDBD_BANKSTAGEPREFER ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BOOKPOLICY', 'T_OCDBD_BOOKPOLICY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BOOKPOLICY_NUM') CREATE INDEX IDX_OCDBD_BOOKPOLICY_NUM ON T_OCDBD_BOOKPOLICY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BOOKPOLICY_L', 'T_OCDBD_BOOKPOLICY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BOOKPOLICYL_LID') CREATE INDEX IDX_OCDBD_BOOKPOLICYL_LID ON T_OCDBD_BOOKPOLICY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_BPBRANCHENTITY', 'T_OCDBD_BPBRANCHENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPBRANCHENTITY_ID') CREATE INDEX IDX_OCDBD_BPBRANCHENTITY_ID ON T_OCDBD_BPBRANCHENTITY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BPCHANNELGRP', 'T_OCDBD_BPCHANNELGRP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPCHANNELGRP_ID') CREATE INDEX IDX_OCDBD_BPCHANNELGRP_ID ON T_OCDBD_BPCHANNELGRP ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BPSCHEMEORG', 'T_OCDBD_BPSCHEMEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPSCHEMEORG_ID') CREATE INDEX IDX_OCDBD_BPSCHEMEORG_ID ON T_OCDBD_BPSCHEMEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERAUTH', 'T_OCDBD_CASHIERAUTH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERAUTH_NUM') CREATE INDEX IDX_OCDBD_CASHIERAUTH_NUM ON T_OCDBD_CASHIERAUTH ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERAUTH_L', 'T_OCDBD_CASHIERAUTH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERAUTHL_LID') CREATE INDEX IDX_OCDBD_CASHIERAUTHL_LID ON T_OCDBD_CASHIERAUTH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERROLE', 'T_OCDBD_CASHIERROLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERROLE_NUM') CREATE INDEX IDX_OCDBD_CASHIERROLE_NUM ON T_OCDBD_CASHIERROLE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERROLE_L', 'T_OCDBD_CASHIERROLE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERROLEL_LID') CREATE INDEX IDX_OCDBD_CASHIERROLEL_LID ON T_OCDBD_CASHIERROLE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERROLEAUTHE', 'T_OCDBD_CASHIERROLEAUTHE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERROLEAUTHE_ID') CREATE INDEX IDX_OCDBD_CASHIERROLEAUTHE_ID ON T_OCDBD_CASHIERROLEAUTHE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CASHIERROLEPY', 'T_OCDBD_CASHIERROLEPY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CASHIERROLEPY_ID') CREATE INDEX IDX_OCDBD_CASHIERROLEPY_ID ON T_OCDBD_CASHIERROLEPY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CHAINITEMSET', 'T_OCDBD_CHAINITEMSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHAINITEMSET_FCID') CREATE INDEX IDX_OCDBD_CHAINITEMSET_FCID ON T_OCDBD_CHAINITEMSET ( FFRANCHISERID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNERLCFG', 'T_OCDBD_CHANNERLCFG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANNERLCFG_ID') CREATE INDEX IDX_OCDBD_CHANNERLCFG_ID ON T_OCDBD_CHANNERLCFG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNERLCFG_L', 'T_OCDBD_CHANNERLCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANNERLCFGL_LID') CREATE INDEX IDX_OCDBD_CHANNERLCFGL_LID ON T_OCDBD_CHANNERLCFG_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITAPPLYDTL', 'T_OCDBD_CREDITAPPLYDTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITAPPLYDTL_ID') CREATE INDEX IDX_OCDBD_CREDITAPPLYDTL_ID ON T_OCDBD_CREDITAPPLYDTL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITDETAIL', 'T_OCDBD_CREDITDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITDETAIL_NUM') CREATE INDEX IDX_OCDBD_CREDITDETAIL_NUM ON T_OCDBD_CREDITDETAIL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITDETAIL_L', 'T_OCDBD_CREDITDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITDETAILL_LID') CREATE INDEX IDX_OCDBD_CREDITDETAILL_LID ON T_OCDBD_CREDITDETAIL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITFILE', 'T_OCDBD_CREDITFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITFILE_NUM') CREATE INDEX IDX_OCDBD_CREDITFILE_NUM ON T_OCDBD_CREDITFILE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITFILE_L', 'T_OCDBD_CREDITFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITFILEL_LID') CREATE INDEX IDX_OCDBD_CREDITFILEL_LID ON T_OCDBD_CREDITFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITFILEDETAIL', 'T_OCDBD_CREDITFILEDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITFILEDETAIL_ID') CREATE INDEX IDX_OCDBD_CREDITFILEDETAIL_ID ON T_OCDBD_CREDITFILEDETAIL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITFLOW', 'T_OCDBD_CREDITFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITFLOW_BILLNO') CREATE INDEX IDX_OCDBD_CREDITFLOW_BILLNO ON T_OCDBD_CREDITFLOW ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITRULE', 'T_OCDBD_CREDITRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITRULE_NUM') CREATE INDEX IDX_OCDBD_CREDITRULE_NUM ON T_OCDBD_CREDITRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITRULE_L', 'T_OCDBD_CREDITRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITRULEL_LID') CREATE INDEX IDX_OCDBD_CREDITRULEL_LID ON T_OCDBD_CREDITRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITRULEDETAIL', 'T_OCDBD_CREDITRULEDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITRULEDETAIL_ID') CREATE INDEX IDX_OCDBD_CREDITRULEDETAIL_ID ON T_OCDBD_CREDITRULEDETAIL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CREDITTMPAPPLY', 'T_OCDBD_CREDITTMPAPPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CREDITTMPAPPLY_NO') CREATE INDEX IDX_OCDBD_CREDITTMPAPPLY_NO ON T_OCDBD_CREDITTMPAPPLY ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_GOODSRANGEENTITY', 'T_OCDBD_GOODSRANGEENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GOODSRANGEENTITY_ID') CREATE INDEX IDX_OCDBD_GOODSRANGEENTITY_ID ON T_OCDBD_GOODSRANGEENTITY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ICCARD_RW', 'T_OCDBD_ICCARD_RW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICCARD_RW_TYPE') CREATE INDEX IDX_OCDBD_ICCARD_RW_TYPE ON T_OCDBD_ICCARD_RW ( FCARDREADERTYPE );


 EXEC P_ALTERPK 'PK_OCDBD_ICITEMTOKCCSET', 'T_OCDBD_ICITEMTOKCCSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICITEMTOKCCSET_NUM') CREATE INDEX IDX_OCDBD_ICITEMTOKCCSET_NUM ON T_OCDBD_ICITEMTOKCCSET ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ICITEMTOKCCSETE', 'T_OCDBD_ICITEMTOKCCSETE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICITEMTOKCCSETE_ID') CREATE INDEX IDX_OCDBD_ICITEMTOKCCSETE_ID ON T_OCDBD_ICITEMTOKCCSETE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ICITEMTOKCCSETFI', 'T_OCDBD_ICITEMTOKCCSETFI', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ICITEMTOKCCSETFI_IN') CREATE INDEX IDX_OCDBD_ICITEMTOKCCSETFI_IN ON T_OCDBD_ICITEMTOKCCSETFI ( FINDEX );


 EXEC P_ALTERPK 'PK_OCDBD_MAGNETIC_CARD_RW', 'T_OCDBD_MAGNETIC_CARD_RW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MAGNETIC_CARDRW_MT') CREATE INDEX IDX_OCDBD_MAGNETIC_CARDRW_MT ON T_OCDBD_MAGNETIC_CARD_RW ( FEQUIPMENT );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBERSCOPEPART', 'T_OCDBD_MEMBERSCOPEPART', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMBERSCOPEPART_FID') CREATE INDEX IDX_OCDBD_MEMBERSCOPEPART_FID ON T_OCDBD_MEMBERSCOPEPART ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATE', 'T_OCDBD_OLINVITATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATE_NUM') CREATE INDEX IDX_OCDBD_OLINVITATE_NUM ON T_OCDBD_OLINVITATE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATE_L', 'T_OCDBD_OLINVITATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATEL_LID') CREATE INDEX IDX_OCDBD_OLINVITATEL_LID ON T_OCDBD_OLINVITATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATEBRANCH', 'T_OCDBD_OLINVITATEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATEBRANCH_ID') CREATE INDEX IDX_OCDBD_OLINVITATEBRANCH_ID ON T_OCDBD_OLINVITATEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATECHAN', 'T_OCDBD_OLINVITATECHAN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATECHAN_ID') CREATE INDEX IDX_OCDBD_OLINVITATECHAN_ID ON T_OCDBD_OLINVITATECHAN ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATEGIFTS', 'T_OCDBD_OLINVITATEGIFTS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATEGIFTS_EID') CREATE INDEX IDX_OCDBD_OLINVITATEGIFTS_EID ON T_OCDBD_OLINVITATEGIFTS ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATEORG', 'T_OCDBD_OLINVITATEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATEORG_FID') CREATE INDEX IDX_OCDBD_OLINVITATEORG_FID ON T_OCDBD_OLINVITATEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATESALER', 'T_OCDBD_OLINVITATESALER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATESALER_ID') CREATE INDEX IDX_OCDBD_OLINVITATESALER_ID ON T_OCDBD_OLINVITATESALER ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATETICKET', 'T_OCDBD_OLINVITATETICKET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATETICKET_ID') CREATE INDEX IDX_OCDBD_OLINVITATETICKET_ID ON T_OCDBD_OLINVITATETICKET ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_OLINVITATEUSECOD', 'T_OCDBD_OLINVITATEUSECOD', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_OLINVITATEUSCOD_EID') CREATE INDEX IDX_OCDBD_OLINVITATEUSCOD_EID ON T_OCDBD_OLINVITATEUSECOD ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERRULE', 'T_OCDBD_ORDERRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORDERRULE_NUM') CREATE INDEX IDX_OCDBD_ORDERRULE_NUM ON T_OCDBD_ORDERRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERRULE_L', 'T_OCDBD_ORDERRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORDERRULEL_LID') CREATE INDEX IDX_OCDBD_ORDERRULEL_LID ON T_OCDBD_ORDERRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERRULEBRANCH', 'T_OCDBD_ORDERRULEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORDERRULEBRANCH_ID') CREATE INDEX IDX_OCDBD_ORDERRULEBRANCH_ID ON T_OCDBD_ORDERRULEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERRULECHANNEL', 'T_OCDBD_ORDERRULECHANNEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORDERRULECHANNEL_ID') CREATE INDEX IDX_OCDBD_ORDERRULECHANNEL_ID ON T_OCDBD_ORDERRULECHANNEL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ORDERRULEORG', 'T_OCDBD_ORDERRULEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORDERRULEORG_ID') CREATE INDEX IDX_OCDBD_ORDERRULEORG_ID ON T_OCDBD_ORDERRULEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PARAMCFG', 'T_OCDBD_PARAMCFG', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PARAMCFG_EID') CREATE INDEX IDX_OCDBD_PARAMCFG_EID ON T_OCDBD_PARAMCFG ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYATTACHMENT', 'T_OCDBD_PAYATTACHMENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYATTACHMENT_EID') CREATE INDEX IDX_OCDBD_PAYATTACHMENT_EID ON T_OCDBD_PAYATTACHMENT ( FDETAILID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYCFGBRANCH', 'T_OCDBD_PAYCFGBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYCFGBRANCH_ID') CREATE INDEX IDX_OCDBD_PAYCFGBRANCH_ID ON T_OCDBD_PAYCFGBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYCFGOWNER', 'T_OCDBD_PAYCFGOWNER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYCFGOWNER_ID') CREATE INDEX IDX_OCDBD_PAYCFGOWNER_ID ON T_OCDBD_PAYCFGOWNER ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYCONFIG', 'T_OCDBD_PAYCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYCONFIG_ORG') CREATE INDEX IDX_OCDBD_PAYCONFIG_ORG ON T_OCDBD_PAYCONFIG ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYCONFIGORG', 'T_OCDBD_PAYCONFIGORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYCONFIGORG_ID') CREATE INDEX IDX_OCDBD_PAYCONFIGORG_ID ON T_OCDBD_PAYCONFIGORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYMENTFLOW', 'T_OCDBD_PAYMENTFLOW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYMENTFLOW_BID') CREATE INDEX IDX_OCDBD_PAYMENTFLOW_BID ON T_OCDBD_PAYMENTFLOW ( FBILLID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYMENTTYPE', 'T_OCDBD_PAYMENTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYMENTTYPE_NUM') CREATE INDEX IDX_OCDBD_PAYMENTTYPE_NUM ON T_OCDBD_PAYMENTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PAYMENTTYPE_FORM', 'T_OCDBD_PAYMENTTYPE_FORM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYMENTTYPEFORM_ID') CREATE INDEX IDX_OCDBD_PAYMENTTYPEFORM_ID ON T_OCDBD_PAYMENTTYPE_FORM ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYMENTTYPE_L', 'T_OCDBD_PAYMENTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYMENTTYPEL_LID') CREATE INDEX IDX_OCDBD_PAYMENTTYPEL_LID ON T_OCDBD_PAYMENTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYPARAM', 'T_OCDBD_PAYPARAM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYPARAM_NUM') CREATE INDEX IDX_OCDBD_PAYPARAM_NUM ON T_OCDBD_PAYPARAM ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PAYPARAM_L', 'T_OCDBD_PAYPARAM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYPARAML_LID') CREATE INDEX IDX_OCDBD_PAYPARAML_LID ON T_OCDBD_PAYPARAM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYPARAMSET', 'T_OCDBD_PAYPARAMSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYPARAMSET_PAYID') CREATE INDEX IDX_OCDBD_PAYPARAMSET_PAYID ON T_OCDBD_PAYPARAMSET ( FPAYCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYPARAMSET_L', 'T_OCDBD_PAYPARAMSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYPARAMSETL_LID') CREATE INDEX IDX_OCDBD_PAYPARAMSETL_LID ON T_OCDBD_PAYPARAMSET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYPARAMSETENTRY', 'T_OCDBD_PAYPARAMSETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYPARAMSETENTRY_ID') CREATE INDEX IDX_OCDBD_PAYPARAMSETENTRY_ID ON T_OCDBD_PAYPARAMSETENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PAYWAYTYPE', 'T_OCDBD_PAYWAYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYWAYTYPE_NUM') CREATE INDEX IDX_OCDBD_PAYWAYTYPE_NUM ON T_OCDBD_PAYWAYTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PAYWAYTYPE_L', 'T_OCDBD_PAYWAYTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PAYWAYTYPEL_LID') CREATE INDEX IDX_OCDBD_PAYWAYTYPEL_LID ON T_OCDBD_PAYWAYTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALE', 'T_OCDBD_POINTSALE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALE_NO') CREATE INDEX IDX_OCDBD_POINTSALE_NO ON T_OCDBD_POINTSALE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALE_O', 'T_OCDBD_POINTSALE_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEO_OBJID') CREATE INDEX IDX_OCDBD_POINTSALEO_OBJID ON T_OCDBD_POINTSALE_O ( FCOSTASSUMEOBJID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALEBRANCH', 'T_OCDBD_POINTSALEBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEBRANCH_ID') CREATE INDEX IDX_OCDBD_POINTSALEBRANCH_ID ON T_OCDBD_POINTSALEBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALECUST', 'T_OCDBD_POINTSALECUST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALECUST_ID') CREATE INDEX IDX_OCDBD_POINTSALECUST_ID ON T_OCDBD_POINTSALECUST ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALEDATE', 'T_OCDBD_POINTSALEDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEDATE_ID') CREATE INDEX IDX_OCDBD_POINTSALEDATE_ID ON T_OCDBD_POINTSALEDATE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALEITEM', 'T_OCDBD_POINTSALEITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEITEM_ID') CREATE INDEX IDX_OCDBD_POINTSALEITEM_ID ON T_OCDBD_POINTSALEITEM ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALEMEMBER', 'T_OCDBD_POINTSALEMEMBER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEMEMBER_ID') CREATE INDEX IDX_OCDBD_POINTSALEMEMBER_ID ON T_OCDBD_POINTSALEMEMBER ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTSALEORG', 'T_OCDBD_POINTSALEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTSALEORG_ID') CREATE INDEX IDX_OCDBD_POINTSALEORG_ID ON T_OCDBD_POINTSALEORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POS', 'T_OCDBD_POS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POS_NUMBER') CREATE INDEX IDX_OCDBD_POS_NUMBER ON T_OCDBD_POS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_POSWAREHOUSE', 'T_OCDBD_POSWAREHOUSE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POSWAREHOUSE_ID') CREATE INDEX IDX_OCDBD_POSWAREHOUSE_ID ON T_OCDBD_POSWAREHOUSE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PROMOTETYPE', 'T_OCDBD_PROMOTETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROMOTETYPE_NUM') CREATE INDEX IDX_OCDBD_PROMOTETYPE_NUM ON T_OCDBD_PROMOTETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PROMOTETYPE_L', 'T_OCDBD_PROMOTETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROMOTETYPEL_LID') CREATE INDEX IDX_OCDBD_PROMOTETYPEL_LID ON T_OCDBD_PROMOTETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_PROMOTION', 'T_OCDBD_PROMOTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROMOTION_NUM') CREATE INDEX IDX_OCDBD_PROMOTION_NUM ON T_OCDBD_PROMOTION ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PROMOTION_L', 'T_OCDBD_PROMOTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PROMOTIONL_LID') CREATE INDEX IDX_OCDBD_PROMOTIONL_LID ON T_OCDBD_PROMOTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RECEIVETYPE', 'T_OCDBD_RECEIVETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RECEIVETYPE_NUM') CREATE INDEX IDX_OCDBD_RECEIVETYPE_NUM ON T_OCDBD_RECEIVETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RECEIVETYPE_L', 'T_OCDBD_RECEIVETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RECEIVETYPEL_LID') CREATE INDEX IDX_OCDBD_RECEIVETYPEL_LID ON T_OCDBD_RECEIVETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SALESCOPE', 'T_OCDBD_SALESCOPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SALESCOPE_NUMBER') CREATE INDEX IDX_OCDBD_SALESCOPE_NUMBER ON T_OCDBD_SALESCOPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_SALESCOPE_L', 'T_OCDBD_SALESCOPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SALESCOPE_FIDLID') CREATE INDEX IDX_OCDBD_SALESCOPE_FIDLID ON T_OCDBD_SALESCOPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SALESCOPEITEM', 'T_OCDBD_SALESCOPEITEM', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SALESCOPEITEM_EID') CREATE INDEX IDX_OCDBD_SALESCOPEITEM_EID ON T_OCDBD_SALESCOPEITEM ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_SALESCOPEUSER', 'T_OCDBD_SALESCOPEUSER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SALESCOPEUSER_FID') CREATE INDEX IDX_OCDBD_SALESCOPEUSER_FID ON T_OCDBD_SALESCOPEUSER ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POS_L', 'T_OCDBD_POS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POSL_FIDLID') CREATE INDEX IDX_OCDBD_POSL_FIDLID ON T_OCDBD_POS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMLABEL_N', 'T_OCDBD_MEMLABEL_N', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMLABELN_FID') CREATE INDEX IDX_OCDBD_MEMLABELN_FID ON T_OCDBD_MEMLABEL_N ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBERINFO_N_L', 'T_OCDBD_MEMBERINFO_N_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMINFONL_FIDLID') CREATE INDEX IDX_OCDBD_MEMINFONL_FIDLID ON T_OCDBD_MEMBERINFO_N_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBERINFO_N', 'T_OCDBD_MEMBERINFO_N', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMBERINFO_FNUM') CREATE INDEX IDX_OCDBD_MEMBERINFO_FNUM ON T_OCDBD_MEMBERINFO_N ( FONNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMBERINFO_TELNO') CREATE INDEX IDX_OCDBD_MEMBERINFO_TELNO ON T_OCDBD_MEMBERINFO_N ( FONPHONE );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBER_LABEL_L', 'T_OCDBD_MEMBER_LABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_VIPLABELL_FIDLID') CREATE INDEX IDX_OCDBD_VIPLABELL_FIDLID ON T_OCDBD_MEMBER_LABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBER_LABEL', 'T_OCDBD_MEMBER_LABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LABEL_FNUM') CREATE INDEX IDX_OCDBD_LABEL_FNUM ON T_OCDBD_MEMBER_LABEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBER_COMMDAY', 'T_OCDBD_MEMBER_COMMDAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_COMMDAY_FID') CREATE INDEX IDX_OCDBD_COMMDAY_FID ON T_OCDBD_MEMBER_COMMDAY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBER_BANKENTRY', 'T_OCDBD_MEMBER_BANKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BANKENTRY_FID') CREATE INDEX IDX_OCDBD_BANKENTRY_FID ON T_OCDBD_MEMBER_BANKENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MEMBER_ADDRESS', 'T_OCDBD_MEMBER_ADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMBER_ADDR_FID') CREATE INDEX IDX_OCDBD_MEMBER_ADDR_FID ON T_OCDBD_MEMBER_ADDRESS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_SRCTYPE_L', 'T_OCDBD_MEM_SRCTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SRCTYPEL_FIDLID') CREATE INDEX IDX_OCDBD_SRCTYPEL_FIDLID ON T_OCDBD_MEM_SRCTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_SRCTYPE', 'T_OCDBD_MEM_SRCTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEM_SRCTYPE_FNM') CREATE INDEX IDX_OCDBD_MEM_SRCTYPE_FNM ON T_OCDBD_MEM_SRCTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_SRCCHANNEL_L', 'T_OCDBD_MEM_SRCCHANNEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SRCCHANNELL_FIDLID') CREATE INDEX IDX_OCDBD_SRCCHANNELL_FIDLID ON T_OCDBD_MEM_SRCCHANNEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_SRCCHANNEL', 'T_OCDBD_MEM_SRCCHANNEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SRCCHANNEL_FNM') CREATE INDEX IDX_OCDBD_SRCCHANNEL_FNM ON T_OCDBD_MEM_SRCCHANNEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_CERTIFICATE', 'T_OCDBD_MEM_CERTIFICATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEMCERTIFICATE_FID') CREATE INDEX IDX_OCDBD_MEMCERTIFICATE_FID ON T_OCDBD_MEM_CERTIFICATE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_LABELGROUP_L', 'T_OCDBD_LABELGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LABELGROUPL_FIDLID') CREATE INDEX IDX_OCDBD_LABELGROUPL_FIDLID ON T_OCDBD_LABELGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_LABELGROUP', 'T_OCDBD_LABELGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_LABELGROUP_FUM') CREATE INDEX IDX_OCDBD_LABELGROUP_FUM ON T_OCDBD_LABELGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_FANSINFO_L', 'T_OCDBD_FANSINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FANSINFOL_FIDLID') CREATE INDEX IDX_OCDBD_FANSINFOL_FIDLID ON T_OCDBD_FANSINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_FANSINFO', 'T_OCDBD_FANSINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FANSINFO_FNUM') CREATE INDEX IDX_OCDBD_FANSINFO_FNUM ON T_OCDBD_FANSINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_FANS', 'T_OCDBD_MEM_FANS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEM_FANS_FNUM') CREATE INDEX IDX_OCDBD_MEM_FANS_FNUM ON T_OCDBD_MEM_FANS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MEM_FANS_L', 'T_OCDBD_MEM_FANS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MEM_FANSL_FIDLID') CREATE INDEX IDX_OCDBD_MEM_FANSL_FIDLID ON T_OCDBD_MEM_FANS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MPOINTBIZTYPE', 'T_OCDBD_MPOINTBIZTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MPOINTBIZTYPE_NUM') CREATE INDEX IDX_OCDBD_MPOINTBIZTYPE_NUM ON T_OCDBD_MPOINTBIZTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MPOINTBIZTYPE_L', 'T_OCDBD_MPOINTBIZTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MPOINTBIZTYPEL_FLID') CREATE INDEX IDX_OCDBD_MPOINTBIZTYPEL_FLID ON T_OCDBD_MPOINTBIZTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_MPOINTTYPE', 'T_OCDBD_MPOINTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MPOINTTYPE_NUM') CREATE INDEX IDX_OCDBD_MPOINTTYPE_NUM ON T_OCDBD_MPOINTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_MPOINTTYPE_L', 'T_OCDBD_MPOINTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_MPOINTTYPEL_FLID') CREATE INDEX IDX_OCDBD_MPOINTTYPEL_FLID ON T_OCDBD_MPOINTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RICACCOUNT', 'T_OCDBD_RICACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCOUNT_NUM') CREATE INDEX IDX_OCDBD_RICACCOUNT_NUM ON T_OCDBD_RICACCOUNT ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCOUNT_MID') CREATE INDEX IDX_OCDBD_RICACCOUNT_MID ON T_OCDBD_RICACCOUNT ( FMEMBERID );


 EXEC P_ALTERPK 'PK_OCDBD_RICACCOUNT_L', 'T_OCDBD_RICACCOUNT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCOUNTL_FLID') CREATE INDEX IDX_OCDBD_RICACCOUNTL_FLID ON T_OCDBD_RICACCOUNT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RICACCOUNTENTRY', 'T_OCDBD_RICACCOUNTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCENTRY_FID') CREATE INDEX IDX_OCDBD_RICACCENTRY_FID ON T_OCDBD_RICACCOUNTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCENTRY_SID') CREATE INDEX IDX_OCDBD_RICACCENTRY_SID ON T_OCDBD_RICACCOUNTENTRY ( FSUBACCOUNTID );


 EXEC P_ALTERPK 'PK_OCDBD_RICACCOUNTTYPE', 'T_OCDBD_RICACCOUNTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCOUNTTYPE_NUM') CREATE INDEX IDX_OCDBD_RICACCOUNTTYPE_NUM ON T_OCDBD_RICACCOUNTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RICACCOUNTTYPE_L', 'T_OCDBD_RICACCOUNTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RICACCOUNTTYPEL_FLID') CREATE INDEX IDX_OCDBD_RICACCOUNTTYPEL_FLID ON T_OCDBD_RICACCOUNTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_VIP_LEVEL_L', 'T_OCDBD_VIP_LEVEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_VIPLEVELL_FLID') CREATE INDEX IDX_OCDBD_VIPLEVELL_FLID ON T_OCDBD_VIP_LEVEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_VIP_LEVEL', 'T_OCDBD_VIP_LEVEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_VIPLEVEL_NUM') CREATE INDEX IDX_OCDBD_VIPLEVEL_NUM ON T_OCDBD_VIP_LEVEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_PRESENTTYPE_L', 'T_OCDBD_PRESENTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRETYPEL_FLID') CREATE INDEX IDX_OCDBD_PRETYPEL_FLID ON T_OCDBD_PRESENTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_INTERVAL', 'T_OCDBD_INTERVAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_INTERVAL_NUM') CREATE INDEX IDX_OCDBD_INTERVAL_NUM ON T_OCDBD_INTERVAL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_INTERVAL_L', 'T_OCDBD_INTERVAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_INTERVALL_FLID') CREATE INDEX IDX_OCDBD_INTERVALL_FLID ON T_OCDBD_INTERVAL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTCOST', 'T_OCDBD_POINTCOST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTCOST_AOID') CREATE INDEX IDX_OCDBD_POINTCOST_AOID ON T_OCDBD_POINTCOST ( FAPPLYORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTCOST_NUM') CREATE INDEX IDX_OCDBD_POINTCOST_NUM ON T_OCDBD_POINTCOST ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_POINTCOST_CH', 'T_OCDBD_POINTCOST_CH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTCOSTCH_FBID') CREATE INDEX IDX_OCDBD_POINTCOSTCH_FBID ON T_OCDBD_POINTCOST_CH ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTCOST_L', 'T_OCDBD_POINTCOST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTCOSTL_FLID') CREATE INDEX IDX_OCDBD_POINTCOSTL_FLID ON T_OCDBD_POINTCOST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTCOSTENTRY', 'T_OCDBD_POINTCOSTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTCOSTENTRY_FID') CREATE INDEX IDX_OCDBD_POINTCOSTENTRY_FID ON T_OCDBD_POINTCOSTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTREWARD', 'T_OCDBD_POINTREWARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTREWARD_AOID') CREATE INDEX IDX_OCDBD_POINTREWARD_AOID ON T_OCDBD_POINTREWARD ( FAPPLYORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTREWARD_NUM') CREATE INDEX IDX_OCDBD_POINTREWARD_NUM ON T_OCDBD_POINTREWARD ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_POINTREWARD_CH', 'T_OCDBD_POINTREWARD_CH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTREWARDCH_FBID') CREATE INDEX IDX_OCDBD_POINTREWARDCH_FBID ON T_OCDBD_POINTREWARD_CH ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTREWARD_L', 'T_OCDBD_POINTREWARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTRWDL_FLID') CREATE INDEX IDX_OCDBD_POINTRWDL_FLID ON T_OCDBD_POINTREWARD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_POINTRWDENTRY', 'T_OCDBD_POINTRWDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_POINTRWDENTRY_FID') CREATE INDEX IDX_OCDBD_POINTRWDENTRY_FID ON T_OCDBD_POINTRWDENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_PRESENTTYPE', 'T_OCDBD_PRESENTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PRESENTTYPE_NUM') CREATE INDEX IDX_OCDBD_PRESENTTYPE_NUM ON T_OCDBD_PRESENTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_USER_SPLIT_L', 'T_OCDBD_USER_SPLIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERSPLITL_FLID') CREATE INDEX IDX_OCDBD_USERSPLITL_FLID ON T_OCDBD_USER_SPLIT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_USER', 'T_OCDBD_USER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FNAME') CREATE INDEX IDX_OCDBD_USER_FNAME ON T_OCDBD_USER ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FMOBILE') CREATE INDEX IDX_OCDBD_USER_FMOBILE ON T_OCDBD_USER ( FMOBILE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FSMOBILE') CREATE INDEX IDX_OCDBD_USER_FSMOBILE ON T_OCDBD_USER ( FSHORTMOBILE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FNUM') CREATE INDEX IDX_OCDBD_USER_FNUM ON T_OCDBD_USER ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FORGID') CREATE INDEX IDX_OCDBD_USER_FORGID ON T_OCDBD_USER ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FCORGID') CREATE INDEX IDX_OCDBD_USER_FCORGID ON T_OCDBD_USER ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_ADDR_ENTRY', 'T_OCDBD_USER_ADDR_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERADDRENTRY_FID') CREATE INDEX IDX_OCDBD_USERADDRENTRY_FID ON T_OCDBD_USER_ADDR_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_BANK_ENTRY', 'T_OCDBD_USER_BANK_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERBANKENTRY_FID') CREATE INDEX IDX_OCDBD_USERBANKENTRY_FID ON T_OCDBD_USER_BANK_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_CERT_ENTRY', 'T_OCDBD_USER_CERT_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERCERTENTRY_FID') CREATE INDEX IDX_OCDBD_USERCERTENTRY_FID ON T_OCDBD_USER_CERT_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERCERTENTRY_FNUM') CREATE INDEX IDX_OCDBD_USERCERTENTRY_FNUM ON T_OCDBD_USER_CERT_ENTRY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_USER_COMM_ENTRY', 'T_OCDBD_USER_COMM_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERCOMMENTRY_FID') CREATE INDEX IDX_OCDBD_USERCOMMENTRY_FID ON T_OCDBD_USER_COMM_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_L', 'T_OCDBD_USER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERL_FLID') CREATE INDEX IDX_OCDBD_USERL_FLID ON T_OCDBD_USER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_SPLIT', 'T_OCDBD_USER_SPLIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERSPLIT_FNUM') CREATE INDEX IDX_OCDBD_USERSPLIT_FNUM ON T_OCDBD_USER_SPLIT ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_USER_WECHAT', 'T_OCDBD_USER_WECHAT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_WECHAT_FID') CREATE INDEX IDX_OCDBD_USER_WECHAT_FID ON T_OCDBD_USER_WECHAT ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_WECHAT_FAOID') CREATE INDEX IDX_OCDBD_USER_WECHAT_FAOID ON T_OCDBD_USER_WECHAT ( FAPPID ,FOPENID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_LOCAL', 'T_OCDBD_USER_LOCAL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_LOCAL_FID') CREATE INDEX IDX_OCDBD_USER_LOCAL_FID ON T_OCDBD_USER_LOCAL ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_LOCAL_FIDTF') CREATE INDEX IDX_OCDBD_USER_LOCAL_FIDTF ON T_OCDBD_USER_LOCAL ( FIDENTIFIER );


 EXEC P_ALTERPK 'PK_OCDBD_USER_R', 'T_OCDBD_USER_R', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERR_FDEVID') CREATE INDEX IDX_OCDBD_USERR_FDEVID ON T_OCDBD_USER_R ( FDEVELOPERID );


 EXEC P_ALTERPK 'PK_OCDBD_USER_SPLIT_ORG', 'T_OCDBD_USER_SPLIT_ORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USERSPLIT_ORG_FID') CREATE INDEX IDX_OCDBD_USERSPLIT_ORG_FID ON T_OCDBD_USER_SPLIT_ORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_RIDECLARE_L', 'T_OCDBD_RIDECLARE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RIDECLAREL_FLID') CREATE INDEX IDX_OCDBD_RIDECLAREL_FLID ON T_OCDBD_RIDECLARE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RIDECLARE', 'T_OCDBD_RIDECLARE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RIDECLARE_NUM') CREATE INDEX IDX_OCDBD_RIDECLARE_NUM ON T_OCDBD_RIDECLARE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_X', 'T_OCDBD_CHANNEL_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLX_SOCHANNEL') CREATE INDEX IDX_OCDBD_CHLX_SOCHANNEL ON T_OCDBD_CHANNEL_X ( FSALECHANNELID ,FORDERCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL', 'T_OCDBD_CHANNEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHL_NUMBER') CREATE INDEX IDX_OCDBD_CHL_NUMBER ON T_OCDBD_CHANNEL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHL_STATUS') CREATE INDEX IDX_OCDBD_CHL_STATUS ON T_OCDBD_CHANNEL ( FSTATUS );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_L', 'T_OCDBD_CHANNEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLL_FIDLID') CREATE INDEX IDX_OCDBD_CHLL_FIDLID ON T_OCDBD_CHANNEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNELCLASSES', 'T_OCDBD_CHANNELCLASSES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLCLASSES_FID') CREATE INDEX IDX_OCDBD_CHLCLASSES_FID ON T_OCDBD_CHANNELCLASSES ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNELFUNCS', 'T_OCDBD_CHANNELFUNCS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANNELFUNCS_FID') CREATE INDEX IDX_OCDBD_CHANNELFUNCS_FID ON T_OCDBD_CHANNELFUNCS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_ADMIN_L', 'T_OCDBD_CHANNEL_ADMIN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADL_FIDLID') CREATE INDEX IDX_OCDBD_CHLADL_FIDLID ON T_OCDBD_CHANNEL_ADMIN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_ADMIN', 'T_OCDBD_CHANNEL_ADMIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADMIN_FCID') CREATE INDEX IDX_OCDBD_CHLADMIN_FCID ON T_OCDBD_CHANNEL_ADMIN ( FCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADMIN_FUID') CREATE INDEX IDX_OCDBD_CHLADMIN_FUID ON T_OCDBD_CHANNEL_ADMIN ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADMIN_FCT') CREATE INDEX IDX_OCDBD_CHLADMIN_FCT ON T_OCDBD_CHANNEL_ADMIN ( FCREATETIME );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_SALESMAN', 'T_OCDBD_CHL_SALESMAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CLS_FSALCL') CREATE INDEX IDX_OCDBD_CLS_FSALCL ON T_OCDBD_CHL_SALESMAN ( FUSERID ,FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CLS_FORCL') CREATE INDEX IDX_OCDBD_CLS_FORCL ON T_OCDBD_CHL_SALESMAN ( FORDERCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_SALESMAN_L', 'T_OCDBD_CHL_SALESMAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLSALL_FIDLID') CREATE INDEX IDX_OCDBD_CHLSALL_FIDLID ON T_OCDBD_CHL_SALESMAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_RECEIPT', 'T_OCDBD_CHL_RECEIPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLRECEIPT_NUM') CREATE INDEX IDX_OCDBD_CHLRECEIPT_NUM ON T_OCDBD_CHL_RECEIPT ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_RECEIPT_L', 'T_OCDBD_CHL_RECEIPT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLRECEIPTL_FIDLID') CREATE INDEX IDX_OCDBD_CHLRECEIPTL_FIDLID ON T_OCDBD_CHL_RECEIPT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_TYPE', 'T_OCDBD_CHL_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLTYPE_NUM') CREATE INDEX IDX_OCDBD_CHLTYPE_NUM ON T_OCDBD_CHL_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_TYPE_L', 'T_OCDBD_CHL_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLTYPEL_FIDFLID') CREATE INDEX IDX_OCDBD_CHLTYPEL_FIDFLID ON T_OCDBD_CHL_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNELUSER', 'T_OCDBD_CHANNELUSER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USER_FOWFSYS') CREATE UNIQUE INDEX IDX_OCDBD_USER_FOWFSYS ON T_OCDBD_CHANNELUSER ( FOWNERID ,FSYSUSERID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_FUNC_L', 'T_OCDBD_CHANNEL_FUNC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLFUNCL_FLID') CREATE INDEX IDX_OCDBD_CHLFUNCL_FLID ON T_OCDBD_CHANNEL_FUNC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_AUTH', 'T_OCDBD_CHANNEL_AUTH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLAUTH_SCHL') CREATE INDEX IDX_OCDBD_CHLAUTH_SCHL ON T_OCDBD_CHANNEL_AUTH ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLAUTH_OCHL') CREATE INDEX IDX_OCDBD_CHLAUTH_OCHL ON T_OCDBD_CHANNEL_AUTH ( FORDERCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLAUTH_CREATETIME') CREATE INDEX IDX_OCDBD_CHLAUTH_CREATETIME ON T_OCDBD_CHANNEL_AUTH ( FCREATETIME );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_AUTH_L', 'T_OCDBD_CHANNEL_AUTH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLAUTHL_FLID') CREATE INDEX IDX_OCDBD_CHLAUTHL_FLID ON T_OCDBD_CHANNEL_AUTH_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNEL_FUNC', 'T_OCDBD_CHANNEL_FUNC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLFUNC_NUMBER') CREATE INDEX IDX_OCDBD_CHLFUNC_NUMBER ON T_OCDBD_CHANNEL_FUNC ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_CLASS', 'T_OCDBD_CHL_CLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLCLASS_SALECHL') CREATE INDEX IDX_OCDBD_CHLCLASS_SALECHL ON T_OCDBD_CHL_CLASS ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLCLASS_NUM') CREATE INDEX IDX_OCDBD_CHLCLASS_NUM ON T_OCDBD_CHL_CLASS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLCLASS_PARENT') CREATE INDEX IDX_OCDBD_CHLCLASS_PARENT ON T_OCDBD_CHL_CLASS ( FPARENTID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_CLASS_L', 'T_OCDBD_CHL_CLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLCLASSL_FLID') CREATE INDEX IDX_OCDBD_CHLCLASSL_FLID ON T_OCDBD_CHL_CLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_GRADE', 'T_OCDBD_CHL_GRADE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLGRADE_NUM') CREATE INDEX IDX_OCDBD_CHLGRADE_NUM ON T_OCDBD_CHL_GRADE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_GRADE_L', 'T_OCDBD_CHL_GRADE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLGRADEL_FLID') CREATE INDEX IDX_OCDBD_CHLGRADEL_FLID ON T_OCDBD_CHL_GRADE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REGCLIENT', 'T_OCDBD_REGCLIENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGCLIENT_NUM') CREATE INDEX IDX_OCDBD_REGCLIENT_NUM ON T_OCDBD_REGCLIENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_REGCLIENT_L', 'T_OCDBD_REGCLIENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGCLIENTL_FLID') CREATE INDEX IDX_OCDBD_REGCLIENTL_FLID ON T_OCDBD_REGCLIENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_ADDRESS', 'T_OCDBD_REGICLT_ADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTAD_FID') CREATE INDEX IDX_OCDBD_REGICLTAD_FID ON T_OCDBD_REGICLT_ADDRESS ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_CHANNEL', 'T_OCDBD_REGICLT_CHANNEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTCHL_FID') CREATE INDEX IDX_OCDBD_REGICLTCHL_FID ON T_OCDBD_REGICLT_CHANNEL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_ORG', 'T_OCDBD_REGICLT_ORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTORG_FID') CREATE INDEX IDX_OCDBD_REGICLTORG_FID ON T_OCDBD_REGICLT_ORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_TAX', 'T_OCDBD_REGICLT_TAX', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTTAX_FID') CREATE INDEX IDX_OCDBD_REGICLTTAX_FID ON T_OCDBD_REGICLT_TAX ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_ROLE', 'T_OCDBD_REGICLT_ROLE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLROLE_FID') CREATE INDEX IDX_OCDBD_REGICLROLE_FID ON T_OCDBD_REGICLT_ROLE ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_CONT', 'T_OCDBD_REGICLT_CONT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTCONT_FID') CREATE INDEX IDX_OCDBD_REGICLTCONT_FID ON T_OCDBD_REGICLT_CONT ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_REGICLT_CONT_L', 'T_OCDBD_REGICLT_CONT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGICLTCONTL_ELID') CREATE INDEX IDX_OCDBD_REGICLTCONTL_ELID ON T_OCDBD_REGICLT_CONT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANNELORGINFO', 'T_OCDBD_CHANNELORGINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLORGINFO_FID') CREATE INDEX IDX_OCDBD_CHLORGINFO_FID ON T_OCDBD_CHANNELORGINFO ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BIZPARTNERUSER', 'T_OCDBD_BIZPARTNERUSER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPUSER_FUSERID') CREATE INDEX IDX_OCDBD_BPUSER_FUSERID ON T_OCDBD_BIZPARTNERUSER ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPUSER_FBIZPARTID') CREATE INDEX IDX_OCDBD_BPUSER_FBIZPARTID ON T_OCDBD_BIZPARTNERUSER ( FBIZPARTNERID );


 EXEC P_ALTERPK 'PK_OCDBD_BIZPARTNERUSER_L', 'T_OCDBD_BIZPARTNERUSER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BPUSERL_FLID') CREATE INDEX IDX_OCDBD_BPUSERL_FLID ON T_OCDBD_BIZPARTNERUSER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_APPLY', 'T_OCDBD_CHL_APPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLAPPLY_NUM') CREATE INDEX IDX_OCDBD_CHLAPPLY_NUM ON T_OCDBD_CHL_APPLY ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_STD_L', 'T_OCDBD_CHL_STD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLSTDL_FLID') CREATE INDEX IDX_OCDBD_CHLSTDL_FLID ON T_OCDBD_CHL_STD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_STD', 'T_OCDBD_CHL_STD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLSTD_NUMBER') CREATE INDEX IDX_OCDBD_CHLSTD_NUMBER ON T_OCDBD_CHL_STD ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_ADDRESS', 'T_OCDBD_CHL_ADDRESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADDRESS_NUM') CREATE INDEX IDX_OCDBD_CHLADDRESS_NUM ON T_OCDBD_CHL_ADDRESS ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CHL_ADDRESS_L', 'T_OCDBD_CHL_ADDRESS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHLADDRESSL_FLID') CREATE INDEX IDX_OCDBD_CHLADDRESSL_FLID ON T_OCDBD_CHL_ADDRESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REGION_L', 'T_OCDBD_REGION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGIONL_FLID') CREATE INDEX IDX_OCDBD_REGIONL_FLID ON T_OCDBD_REGION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REGION', 'T_OCDBD_REGION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGION_NUM') CREATE INDEX IDX_OCDBD_REGION_NUM ON T_OCDBD_REGION ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGION_PARENT') CREATE INDEX IDX_OCDBD_REGION_PARENT ON T_OCDBD_REGION ( FPARENTID );


 EXEC P_ALTERPK 'PK_OCDBD_REGION_USER', 'T_OCDBD_REGION_USER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RUSER_FUSER') CREATE INDEX IDX_OCDBD_RUSER_FUSER ON T_OCDBD_REGION_USER ( FUSERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RUSER_FREGION') CREATE INDEX IDX_OCDBD_RUSER_FREGION ON T_OCDBD_REGION_USER ( FREGIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RUSER_SALECHL') CREATE INDEX IDX_OCDBD_RUSER_SALECHL ON T_OCDBD_REGION_USER ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_XBILLLOG', 'T_OCDBD_XBILLLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_XBILLLOG_SRCBILLID') CREATE INDEX IDX_OCDBD_XBILLLOG_SRCBILLID ON T_OCDBD_XBILLLOG ( FSRCBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_XBILLLOG_XBILLID') CREATE INDEX IDX_OCDBD_XBILLLOG_XBILLID ON T_OCDBD_XBILLLOG ( FXBILLID );


 EXEC P_ALTERPK 'PK_OCDBD_SYSPARAM_BIZTYPE', 'T_OCDBD_SYSPARAM_BIZTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SYSPARAMBIZTYPE_FBID') CREATE INDEX IDX_OCDBD_SYSPARAMBIZTYPE_FBID ON T_OCDBD_SYSPARAM_BIZTYPE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_CUSTOMER_PARAMS', 'T_OCDBD_CUSTOMER_PARAMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CUSTOMERPARAMS_SAL') CREATE INDEX IDX_OCDBD_CUSTOMERPARAMS_SAL ON T_OCDBD_CUSTOMER_PARAMS ( FSALEORGID );


 EXEC P_ALTERPK 'PK_OCDBD_PARAM_TIMEENTITY', 'T_OCDBD_PARAM_TIMEENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_PARAMTIMEENTITY_FID') CREATE INDEX IDX_OCDBD_PARAMTIMEENTITY_FID ON T_OCDBD_PARAM_TIMEENTITY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BIZTYPE', 'T_OCDBD_BIZTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BIZTYPE_NUM') CREATE INDEX IDX_OCDBD_BIZTYPE_NUM ON T_OCDBD_BIZTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BIZTYPE_L', 'T_OCDBD_BIZTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BIZTYPEL_FLID') CREATE INDEX IDX_OCDBD_BIZTYPEL_FLID ON T_OCDBD_BIZTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_RECEIPTOFFSET', 'T_OCDBD_RECEIPTOFFSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RECEIPTOFFSET_NUM') CREATE INDEX IDX_OCDBD_RECEIPTOFFSET_NUM ON T_OCDBD_RECEIPTOFFSET ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_RECEIPTOFFSET_L', 'T_OCDBD_RECEIPTOFFSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_RECEIPTOFFSETL_FLID') CREATE INDEX IDX_OCDBD_RECEIPTOFFSETL_FLID ON T_OCDBD_RECEIPTOFFSET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ORGLEVEL', 'T_OCDBD_ORGLEVEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORGLEVEL_NUM') CREATE INDEX IDX_OCDBD_ORGLEVEL_NUM ON T_OCDBD_ORGLEVEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ORGLEVEL_L', 'T_OCDBD_ORGLEVEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORGLEVELL_FLID') CREATE INDEX IDX_OCDBD_ORGLEVELL_FLID ON T_OCDBD_ORGLEVEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_REGIONORGCHLS', 'T_OCDBD_REGIONORGCHLS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGIONORGCHLS_FBID') CREATE INDEX IDX_OCDBD_REGIONORGCHLS_FBID ON T_OCDBD_REGIONORGCHLS ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_OCDBD_ORGTYPE', 'T_OCDBD_ORGTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORGTYPE_NUM') CREATE INDEX IDX_OCDBD_ORGTYPE_NUM ON T_OCDBD_ORGTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ORGTYPE_L', 'T_OCDBD_ORGTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ORGTYPEL_FLID') CREATE INDEX IDX_OCDBD_ORGTYPEL_FLID ON T_OCDBD_ORGTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANGEMODEL', 'T_OCDBD_CHANGEMODEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANGEMODEL_SRCBILL') CREATE INDEX IDX_OCDBD_CHANGEMODEL_SRCBILL ON T_OCDBD_CHANGEMODEL ( FSRCBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANGEMODEL_XBILL') CREATE INDEX IDX_OCDBD_CHANGEMODEL_XBILL ON T_OCDBD_CHANGEMODEL ( FXBILLID );


 EXEC P_ALTERPK 'PK_OCDBD_CHANGEMENTRY_F', 'T_OCDBD_CHANGEMENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANGEMLFE_FID') CREATE INDEX IDX_OCDBD_CHANGEMLFE_FID ON T_OCDBD_CHANGEMENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BUSINESSORG', 'T_OCDBD_BUSINESSORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BUSINESSORG_NUM') CREATE INDEX IDX_OCDBD_BUSINESSORG_NUM ON T_OCDBD_BUSINESSORG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BUSINESSORG_L', 'T_OCDBD_BUSINESSORG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BUSINESSORGL_FLID') CREATE INDEX IDX_OCDBD_BUSINESSORGL_FLID ON T_OCDBD_BUSINESSORG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_COUNTRYAREA', 'T_OCDBD_COUNTRYAREA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_COUNTRYAREA_NUM') CREATE INDEX IDX_OCDBD_COUNTRYAREA_NUM ON T_OCDBD_COUNTRYAREA ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_COUNTRYAREA_L', 'T_OCDBD_COUNTRYAREA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_COUNTRYAREAL_FLID') CREATE INDEX IDX_OCDBD_COUNTRYAREAL_FLID ON T_OCDBD_COUNTRYAREA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CONTPARTIES_L', 'T_OCDBD_CONTPARTIES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CONTPARTIES_FLID') CREATE INDEX IDX_OCDBD_CONTPARTIES_FLID ON T_OCDBD_CONTPARTIES_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_USECARDCFGDL_L', 'T_OCDBD_USECARDCFGDL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USECARDCFGDLL_DLID') CREATE INDEX IDX_OCDBD_USECARDCFGDLL_DLID ON T_OCDBD_USECARDCFGDL_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_USECARDCFGDL', 'T_OCDBD_USECARDCFGDL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USECARDCFGDL_EID') CREATE INDEX IDX_OCDBD_USECARDCFGDL_EID ON T_OCDBD_USECARDCFGDL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_USECARDCFG_L', 'T_OCDBD_USECARDCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USECARDCFGL_ELID') CREATE INDEX IDX_OCDBD_USECARDCFGL_ELID ON T_OCDBD_USECARDCFG_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_USECARDCFG', 'T_OCDBD_USECARDCFG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_USECARDCFG_FID') CREATE INDEX IDX_OCDBD_USECARDCFG_FID ON T_OCDBD_USECARDCFG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOWITEMTYPE', 'T_OCDBD_SHOWITEMTYPE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SHOWITEMTYPE_FID') CREATE INDEX IDX_OCDBD_SHOWITEMTYPE_FID ON T_OCDBD_SHOWITEMTYPE ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOWITEMDETAIL', 'T_OCDBD_SHOWITEMDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SHOWITEMDETAIL_EID') CREATE INDEX IDX_OCDBD_SHOWITEMDETAIL_EID ON T_OCDBD_SHOWITEMDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_FIRSTPAGE_L', 'T_OCDBD_FIRSTPAGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FIRSTPAGEL_FLID') CREATE INDEX IDX_OCDBD_FIRSTPAGEL_FLID ON T_OCDBD_FIRSTPAGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_FIRSTPAGE', 'T_OCDBD_FIRSTPAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FIRSTPAGE_NUM') CREATE INDEX IDX_OCDBD_FIRSTPAGE_NUM ON T_OCDBD_FIRSTPAGE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_CARDTYPE_L', 'T_OCDBD_CARDTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CARDTYPEL_FLID') CREATE INDEX IDX_OCDBD_CARDTYPEL_FLID ON T_OCDBD_CARDTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_CARDTYPE', 'T_OCDBD_CARDTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CARDTYPE_NUM') CREATE INDEX IDX_OCDBD_CARDTYPE_NUM ON T_OCDBD_CARDTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_WORDTPL', 'T_OCDBD_WORDTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WORDTPL_FENTITYID') CREATE INDEX IDX_OCDBD_WORDTPL_FENTITYID ON T_OCDBD_WORDTPL ( FENTITYID );


 EXEC P_ALTERPK 'PK_OCDBD_WORDTPLRENTRY', 'T_OCDBD_WORDTPLRENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WORDTPLRENTRY_FRID') CREATE INDEX IDX_OCDBD_WORDTPLRENTRY_FRID ON T_OCDBD_WORDTPLRENTRY ( FRELATENTITYID );


 EXEC P_ALTERPK 'PK_T_OCDBD_WORDTPLVENTRY', 'T_OCDBD_WORDTPLVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WORDTPLVENTRY_FVAR') CREATE INDEX IDX_OCDBD_WORDTPLVENTRY_FVAR ON T_OCDBD_WORDTPLVENTRY ( FVARKEY );


 EXEC P_ALTERPK 'PK_OCDBD_WORDTPL_L', 'T_OCDBD_WORDTPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_WORDTPL_FLID') CREATE INDEX IDX_OCDBD_WORDTPL_FLID ON T_OCDBD_WORDTPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SYSPARAMS', 'T_OCDBD_SYSPARAMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SYSPARAMS') CREATE INDEX IDX_OCDBD_SYSPARAMS ON T_OCDBD_SYSPARAMS ( FISORDERQUANTITYFORCE ,FISUSEREBATEAMOUNT ,FISBUSINESSORG );


 EXEC P_ALTERPK 'PK_OCDBD_CHANGEMENTRY_P', 'T_OCDBD_CHANGEMENTRY_P', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CHANGEMEP_FID') CREATE INDEX IDX_OCDBD_CHANGEMEP_FID ON T_OCDBD_CHANGEMENTRY_P ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_CONTPARTIES', 'T_OCDBD_CONTPARTIES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_CONTPARTIES_NUM') CREATE INDEX IDX_OCDBD_CONTPARTIES_NUM ON T_OCDBD_CONTPARTIES ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_REGIONORG', 'T_OCDBD_REGIONORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGIONORG_PARENT') CREATE INDEX IDX_OCDBD_REGIONORG_PARENT ON T_OCDBD_REGIONORG ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGIONORG_NUM') CREATE INDEX IDX_OCDBD_REGIONORG_NUM ON T_OCDBD_REGIONORG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_REGIONORG_L', 'T_OCDBD_REGIONORG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_REGIONORGL_FLID') CREATE INDEX IDX_OCDBD_REGIONORGL_FLID ON T_OCDBD_REGIONORG_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
