﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_ITEM_C' AND KSQL_COL_NAME ='FONLINEPRICE') 
 ALTER TABLE T_OCDBD_ITEM_C ADD (FONLINEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_ITEM_BARCODE' AND KSQL_COL_NAME ='FONLINEPRICE') 
 ALTER TABLE T_OCDBD_ITEM_BARCODE ADD (FONLINEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_TICKETTYPE' AND KSQL_COL_NAME ='FISINSALESINCOME') 
 ALTER TABLE T_OCDBD_TICKETTYPE ADD (FISINSALESINCOME CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_NOBUSINESSTYPE') 
 CREATE TABLE T_OCDBD_NOBUSINESSTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_NOBUSINESSTYPE_L') 
 CREATE TABLE T_OCDBD_NOBUSINESSTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGY') 
 CREATE TABLE T_OCDBD_PUBSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FRETAILPUBLISH CHAR(1) DEFAULT '1' NOT NULL,
FMEMBERPUBLISH CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT '0' NOT NULL,
FITEMSELECTED CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGY_L') 
 CREATE TABLE T_OCDBD_PUBSTRATEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGYITEM') 
 CREATE TABLE T_OCDBD_PUBSTRATEGYITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT '1' NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
FITEMLABLEID BIGINT DEFAULT 0 NOT NULL,
FISINCLUDESUB CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGYMULC') 
 CREATE TABLE T_OCDBD_PUBSTRATEGYMULC (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGYORG') 
 CREATE TABLE T_OCDBD_PUBSTRATEGYORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PRICECHANGIENTRY' AND KSQL_COL_NAME ='FOLDRETAILPRICE') 
 ALTER TABLE T_OCDBD_PRICECHANGIENTRY ADD (FOLDRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PRICECHANGIENTRY' AND KSQL_COL_NAME ='FOLDMEMBERPRICE') 
 ALTER TABLE T_OCDBD_PRICECHANGIENTRY ADD (FOLDMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PRICECHANGIENTRY' AND KSQL_COL_NAME ='FONLINEPRICE') 
 ALTER TABLE T_OCDBD_PRICECHANGIENTRY ADD (FONLINEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PRICECHANGIENTRY' AND KSQL_COL_NAME ='FOLDONLINEPRICE') 
 ALTER TABLE T_OCDBD_PRICECHANGIENTRY ADD (FOLDONLINEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PAYCONFIG' AND KSQL_COL_NAME ='FONSTOREEFFECT') 
 ALTER TABLE T_OCDBD_PAYCONFIG ADD (FONSTOREEFFECT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_ITEMCONTENT' AND KSQL_COL_NAME ='FPUBLISHNUMBER') 
 ALTER TABLE T_OCDBD_ITEMCONTENT ADD (FPUBLISHNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_ITEMCONTENT' AND KSQL_COL_NAME ='FPIRCECHANGENUMBER') 
 ALTER TABLE T_OCDBD_ITEMCONTENT ADD (FPIRCECHANGENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_PUBSTRATEGYCHAN') 
 CREATE TABLE T_OCDBD_PUBSTRATEGYCHAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
