﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCDBD_BRANDPICCFG', 'T_OCDBD_BRANDPICCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BRANDPICCFG_NUM') CREATE INDEX IDX_OCDBD_BRANDPICCFG_NUM ON T_OCDBD_BRANDPICCFG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BRANDPICCFG_L', 'T_OCDBD_BRANDPICCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BRANDPICCFGL_LID') CREATE INDEX IDX_OCDBD_BRANDPICCFGL_LID ON T_OCDBD_BRANDPICCFG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODECONTENT', 'T_OCDBD_ELECMODECONTENT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODECONTENT_ID') CREATE INDEX IDX_OCDBD_ELECMODECONTENT_ID ON T_OCDBD_ELECMODECONTENT ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODEL', 'T_OCDBD_ELECMODEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODEL_FNUM') CREATE INDEX IDX_OCDBD_ELECMODEL_FNUM ON T_OCDBD_ELECMODEL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODEL_L', 'T_OCDBD_ELECMODEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODEL_LFNUM') CREATE INDEX IDX_OCDBD_ELECMODEL_LFNUM ON T_OCDBD_ELECMODEL_L ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODELBRANCH', 'T_OCDBD_ELECMODELBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODELBRANCH_ID') CREATE INDEX IDX_OCDBD_ELECMODELBRANCH_ID ON T_OCDBD_ELECMODELBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODELCHANEL', 'T_OCDBD_ELECMODELCHANEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODELCHANEL_ID') CREATE INDEX IDX_OCDBD_ELECMODELCHANEL_ID ON T_OCDBD_ELECMODELCHANEL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODELITEM', 'T_OCDBD_ELECMODELITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODELITEM_ID') CREATE INDEX IDX_OCDBD_ELECMODELITEM_ID ON T_OCDBD_ELECMODELITEM ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODELORG', 'T_OCDBD_ELECMODELORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODELORG_ID') CREATE INDEX IDX_OCDBD_ELECMODELORG_ID ON T_OCDBD_ELECMODELORG ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_ELECMODELSCHEME', 'T_OCDBD_ELECMODELSCHEME', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_ELECMODELSCHEME_ID') CREATE INDEX IDX_OCDBD_ELECMODELSCHEME_ID ON T_OCDBD_ELECMODELSCHEME ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSET', 'T_OCDBD_GIFTSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSET_NUM') CREATE INDEX IDX_OCDBD_GIFTSET_NUM ON T_OCDBD_GIFTSET ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSET_L', 'T_OCDBD_GIFTSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSETL_LID') CREATE INDEX IDX_OCDBD_GIFTSETL_LID ON T_OCDBD_GIFTSET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSETBRANCH', 'T_OCDBD_GIFTSETBRANCH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSETBRANCH_ID') CREATE INDEX IDX_OCDBD_GIFTSETBRANCH_ID ON T_OCDBD_GIFTSETBRANCH ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSETCHANNEL', 'T_OCDBD_GIFTSETCHANNEL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSETCHANNEL_ID') CREATE INDEX IDX_OCDBD_GIFTSETCHANNEL_ID ON T_OCDBD_GIFTSETCHANNEL ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSETITEM', 'T_OCDBD_GIFTSETITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSETITEM_ID') CREATE INDEX IDX_OCDBD_GIFTSETITEM_ID ON T_OCDBD_GIFTSETITEM ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_GIFTSETORG', 'T_OCDBD_GIFTSETORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_GIFTSETORG_ID') CREATE INDEX IDX_OCDBD_GIFTSETORG_ID ON T_OCDBD_GIFTSETORG ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
