﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_BRANDPICCFG') 
 CREATE TABLE T_OCDBD_BRANDPICCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FPICTURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_BRANDPICCFG_L') 
 CREATE TABLE T_OCDBD_BRANDPICCFG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODECONTENT') 
 CREATE TABLE T_OCDBD_ELECMODECONTENT (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODEL') 
 CREATE TABLE T_OCDBD_ELECMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWARRANTYPERIOD CHAR(5) DEFAULT ' ' NOT NULL,
FISALLGOODS CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODEL_L') 
 CREATE TABLE T_OCDBD_ELECMODEL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODELBRANCH') 
 CREATE TABLE T_OCDBD_ELECMODELBRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODELCHANEL') 
 CREATE TABLE T_OCDBD_ELECMODELCHANEL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODELITEM') 
 CREATE TABLE T_OCDBD_ELECMODELITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FITEMLABELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODELORG') 
 CREATE TABLE T_OCDBD_ELECMODELORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_ELECMODELSCHEME') 
 CREATE TABLE T_OCDBD_ELECMODELSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
主题 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSET') 
 CREATE TABLE T_OCDBD_GIFTSET (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTORESETTING CHAR(1) DEFAULT ' ' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FCONTROLMETHOD CHAR(1) DEFAULT '0' NOT NULL,
FSTOREMATCHQTY INT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FACTIVESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FPROMOTETYPE CHAR(1) DEFAULT 'A' NOT NULL,
FLIMITQTY INT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYSTYLE CHAR(1) DEFAULT 'A' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION_TAG NCLOB,
FSCHEMEIMG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLETIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSET_L') 
 CREATE TABLE T_OCDBD_GIFTSET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSETBRANCH') 
 CREATE TABLE T_OCDBD_GIFTSETBRANCH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FISAPPLY CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSETCHANNEL') 
 CREATE TABLE T_OCDBD_GIFTSETCHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSETITEM') 
 CREATE TABLE T_OCDBD_GIFTSETITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FSINGGELIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSINGLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FCOSTOBJECTTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOSTOBJECTTARGET BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_GIFTSETORG') 
 CREATE TABLE T_OCDBD_GIFTSETORG (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
