﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_BILLOPERATELOG')
 CREATE TABLE T_OCDBD_BILLOPERATELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_EXCUTEFETCHRULE')
 CREATE TABLE T_OCDBD_EXCUTEFETCHRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FFETCHRULEID BIGINT DEFAULT 0 NOT NULL,
FLASTMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_RULE_COLMAP')
  CREATE TABLE T_OCDBD_RULE_COLMAP (
 FENTRYID BIGINT DEFAULT 0 NOT NULL,
 FID BIGINT DEFAULT 0 NOT NULL,
 FSEQ INT DEFAULT 0 NOT NULL,
 FDESTCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FFULLDESTCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FSRCCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FFULLSRCCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
 FISSUMMARY CHAR(1) DEFAULT '0' NOT NULL,
 FSUMCOL VARCHAR(10) DEFAULT ' ' NOT NULL
 );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_RULE_COLMAP_F')
 CREATE TABLE T_OCDBD_RULE_COLMAP_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCONVERTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONDITIONFORMULA NCLOB,
FFIELDFORMULA NCLOB,
FFIELDFORMULADESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_DATAFETCHRULE' AND KSQL_COL_NAME ='FCOMPAREFIELD')
 ALTER TABLE T_OCDBD_DATAFETCHRULE ADD (FCOMPAREFIELD VARCHAR(100) DEFAULT ' ' NOT NULL );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
