﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCDBD_BCONFIGENTRY', 'T_OCDBD_BCONFIGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BCONFIGENTRY_FID') CREATE INDEX IDX_OCDBD_BCONFIGENTRY_FID ON T_OCDBD_BCONFIGENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCDBD_BILLCONFIG', 'T_OCDBD_BILLCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BILLCONFIG_NUM') CREATE INDEX IDX_OCDBD_BILLCONFIG_NUM ON T_OCDBD_BILLCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_BILLCONFIG_L', 'T_OCDBD_BILLCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_BILLCONFIGL_FLID') CREATE INDEX IDX_OCDBD_BILLCONFIGL_FLID ON T_OCDBD_BILLCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_EXPENSETYPE', 'T_OCDBD_EXPENSETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_EXPENSETYPE_NO') CREATE INDEX IDX_OCDBD_EXPENSETYPE_NO ON T_OCDBD_EXPENSETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_EXPENSETYPE_L', 'T_OCDBD_EXPENSETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_EXPENSETYPEL_FLID') CREATE INDEX IDX_OCDBD_EXPENSETYPEL_FLID ON T_OCDBD_EXPENSETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_FIELDNAME', 'T_OCDBD_FIELDNAME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FN_FNO') CREATE INDEX IDX_OCDBD_FN_FNO ON T_OCDBD_FIELDNAME ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_FIELDNAME_L', 'T_OCDBD_FIELDNAME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_FIELDNAME_FLID') CREATE INDEX IDX_OCDBD_FIELDNAME_FLID ON T_OCDBD_FIELDNAME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOP_CHRECORD', 'T_OCDBD_SHOP_CHRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SCR_FNO') CREATE INDEX IDX_OCDBD_SCR_FNO ON T_OCDBD_SHOP_CHRECORD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SCR_FCHANNEL') CREATE INDEX IDX_OCDBD_SCR_FCHANNEL ON T_OCDBD_SHOP_CHRECORD ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOP_CHRECORD_L', 'T_OCDBD_SHOP_CHRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SCHRECORDL_FLID') CREATE INDEX IDX_OCDBD_SCHRECORDL_FLID ON T_OCDBD_SHOP_CHRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOPMANAGE', 'T_OCDBD_SHOPMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SM_FNO') CREATE INDEX IDX_OCDBD_SM_FNO ON T_OCDBD_SHOPMANAGE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SM_FCHANNEL') CREATE INDEX IDX_OCDBD_SM_FCHANNEL ON T_OCDBD_SHOPMANAGE ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOPMANAGE_L', 'T_OCDBD_SHOPMANAGE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SHOPMANAGEL_FLID') CREATE INDEX IDX_OCDBD_SHOPMANAGEL_FLID ON T_OCDBD_SHOPMANAGE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_SHOPTYPE', 'T_OCDBD_SHOPTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STYPE_FNO') CREATE INDEX IDX_OCDBD_STYPE_FNO ON T_OCDBD_SHOPTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_SHOPTYPE_L', 'T_OCDBD_SHOPTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_SHOPTYPEL_FLID') CREATE INDEX IDX_OCDBD_SHOPTYPEL_FLID ON T_OCDBD_SHOPTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCDBD_STORETYPE', 'T_OCDBD_STORETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STORETYPE_NUM') CREATE INDEX IDX_OCDBD_STORETYPE_NUM ON T_OCDBD_STORETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCDBD_STORETYPE_L', 'T_OCDBD_STORETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCDBD_STORETYPEL_FLID') CREATE INDEX IDX_OCDBD_STORETYPEL_FLID ON T_OCDBD_STORETYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_constraint.sql **/
