﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_CREDITCHANGE') 
 CREATE TABLE T_OCDBD_CREDITCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCDBD_CREDITCHANGEINFO') 
 CREATE TABLE T_OCDBD_CREDITCHANGEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCREDITACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTOREID BIGINT DEFAULT 0 NOT NULL,
FUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLIMITBALANCEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPCLIMITDAYS INT DEFAULT 0 NOT NULL,
FECLIMITDAYS INT DEFAULT 0 NOT NULL,
FOVERDUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERDUETIMES INT DEFAULT 0 NOT NULL,
FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGETYPE CHAR(1) DEFAULT '0' NOT NULL,
FNEWCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWPCLIMITDAYS INT DEFAULT 0 NOT NULL,
FNEWECLIMITDAYS INT DEFAULT 0 NOT NULL,
FNEWOVERDUEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWOVERDUETIMES INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PAYMENTTYPE' AND KSQL_COL_NAME ='FISMAINDISPLAY') 
 ALTER TABLE T_OCDBD_PAYMENTTYPE ADD (FISMAINDISPLAY CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCDBD_PAYMENTTYPE' AND KSQL_COL_NAME ='FDISPLAYSEQ') 
 ALTER TABLE T_OCDBD_PAYMENTTYPE ADD (FDISPLAYSEQ INT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCDBD_table.sql **/
